(function( $ ) {
	'use strict';

	 $(function() {

	 	var $my_agile_privacy_backend = $( '#my_agile_privacy_backend' );

	 	if( $my_agile_privacy_backend.length )
	 	{
	 		$my_agile_privacy_backend.bind( 'mapDomLoaded', function(){

				var $loadingMessage = $( '.loadingMessage' );
				var $loadingWrapper = $( '.loadingWrapper' );

				$loadingMessage.addClass( 'displayNone' );
				$loadingWrapper.removeClass( 'displayNone' );
	 		});

			$( window ).on( 'load', function() {

				$my_agile_privacy_backend.trigger( 'mapDomLoaded' );
			});

			setTimeout(function(){

				$my_agile_privacy_backend.trigger( 'mapDomLoaded' );

			}, 30000 );


		    var $input = $( ':input.hideShowInput', $my_agile_privacy_backend );

		    if( $input.length )
		    {
		        //console.log( 'initInputHideShowWrapper');

		        $input.each(function(){

		            var $this = $( this );

		            $this.bind( 'change', function(){

		                var $this = $( this );
		                var hide_show_ref = $this.attr('data-hide-show-ref');

		                var $ref = $( '.'+hide_show_ref);

		                //console.log( $ref );

		                if( $this.is( 'input[type="checkbox"]') )
		                {
		                    if( $this.is( '.reverseHideShow') )
		                    {
		                        if( $this.is( ':checked') )
		                        {
		                            $ref.addClass( 'displayNone' );
		                        }
		                        else
		                        {
		                            $ref.removeClass( 'displayNone' );
		                        }
		                    }
		                    else
		                    {
		                        if( $this.is( ':checked') )
		                        {
		                            $ref.removeClass( 'displayNone' );
		                        }
		                        else
		                        {
		                            $ref.addClass( 'displayNone' );
		                        }
		                    }
		                }
		                else if( $this.is('select') )
		                {
		                    var value = $this.val();

		                    $ref.addClass('displayNone');

		                    var $target = $( '.' + hide_show_ref + '[data-value~="' + value + '"]' );
		                    $target.removeClass( 'displayNone' );
		                }


		            }).trigger( 'change' );
		        });
		    }


	 		if( $my_agile_privacy_backend.hasClass( 'cookieWrapperEdit' ) )
	 		{
	 			//no specific actions
	 		}

	 		if( $my_agile_privacy_backend.hasClass( 'policyWrapperEdit' ) )
	 		{
	 			//no specific actions
	 		}

	 		if( $my_agile_privacy_backend.hasClass( 'cookieWrapperView' ) )
	 		{
	 			//fix for cookie list view
		 		var $publish = $( '.subsubsub .publish a' );
		 		var $draft = $( '.subsubsub .draft a' );
		 		var draft_url = window.location.href.indexOf( 'post_status=draft' );
		 		var trash_url = window.location.href.indexOf( 'post_status=trash' );

	 			if( !$publish.length && $draft.length && draft_url == -1 && trash_url == -1 )
	 			{
	 				window.location.href = $draft.attr( 'href' );
	 			}
	 		}

	 		if( $my_agile_privacy_backend.hasClass( 'genericOptionsWrapper' ) )
	 		{
			 	var is_form_touched = false;

				$( window ).bind( 'beforeunload', function(){

					if( is_form_touched )
					{
						return unsaved_settings_text;
					}
				});

			 	$('.wpColorPicker').wpColorPicker();

			 	var $is_cookie_policy_url_field = $( ':input[name="is_cookie_policy_url_field"]' );

			 	$is_cookie_policy_url_field.bind( 'change', function( e ){

			 		e.stopPropagation();

			 		var $is_cookie_policy_url_yes_detail = $( '.is_cookie_policy_url_yes_detail' );
			 		var $is_cookie_policy_url_no_detail = $( '.is_cookie_policy_url_no_detail' );

			 		var $this = $( this );

			 		if( $this.is( ':checked' ) )
			 		{
			 			var val = $this.val();

			 			if( val == 'true' )
			 			{
			 				$is_cookie_policy_url_yes_detail.removeClass( 'displayNone');
			 				$is_cookie_policy_url_no_detail.addClass( 'displayNone' );
			 			}
			 			else
			 			{
			 				$is_cookie_policy_url_yes_detail.addClass( 'displayNone');
			 				$is_cookie_policy_url_no_detail.removeClass( 'displayNone' );
			 			}
			 		}

			 	}).trigger( 'change' );


			 	var $is_personal_data_policy_url_field = $( ':input[name="is_personal_data_policy_url_field"]' );

			 	$is_personal_data_policy_url_field.bind( 'change', function( e ){

			 		e.stopPropagation();

			 		var $is_personal_data_policy_url_yes_detail = $( '.is_personal_data_policy_url_yes_detail' );
			 		var $is_personal_data_policy_url_no_detail = $( '.is_personal_data_policy_url_no_detail' );

			 		var $this = $( this );

			 		if( $this.is( ':checked' ) )
			 		{
			 			var val = $this.val();

			 			if( val == 'true' )
			 			{
			 				$is_personal_data_policy_url_yes_detail.removeClass( 'displayNone');
			 				$is_personal_data_policy_url_no_detail.addClass( 'displayNone' );
			 			}
			 			else
			 			{
			 				$is_personal_data_policy_url_yes_detail.addClass( 'displayNone');
			 				$is_personal_data_policy_url_no_detail.removeClass( 'displayNone' );
			 			}
			 		}

			 	}).trigger( 'change' );

			 	$(':input:not(:input[type=file])').bind('change',function(){
			 		is_form_touched = true;
			 	});


				$('#map_user_settings_form').submit(function(e){

					e.preventDefault();
					var $this = $( this );
					var data = $this.serialize();
					var url = $this.attr('action');

					var $reset_settings = $('#reset_settings', $this );

					var reload_at_afterfinish = false;

					if( ( $reset_settings.length && $reset_settings.is(':checked') ) || $this.hasClass( 'reload_at_afterfinish') )
					{
						reload_at_afterfinish = true;
					}

					var submit_button=$(this).find('input[type="submit"]');

					//console.log( data );

					submit_button.css({'opacity':'.6','cursor':'default'}).prop('disabled',true);
					$.ajax({
						url : url,
						type : 'POST',
						data : data,
						success:function( data )
						{
							is_form_touched = false;

							var $brief_wrapper = $( '.brief_wrapper' );
							var $last_sync_field = $( 'input[name="last_sync_field"]' );
							var $license_user_status_field = $( 'input[name="license_user_status_field"]' );
							var $customer_email = $( 'input[name="customer_email_field"]' );
							var $summary_text = $( ':input[name="summary_text_field"]' );

							if( data.license_valid )
							{
								if( data.grace_period )
								{
									$license_user_status_field.removeClass('warning_style success_style grace_period_style').addClass('grace_period_style');
								}
								else
								{
									$license_user_status_field.removeClass('warning_style success_style grace_period_style').addClass('success_style');
								}
							}
							else
							{
								$license_user_status_field.removeClass('warning_style success_style grace_period_style').addClass('warning_style');
							}

							$license_user_status_field.val( data.license_user_status );

							if( data.summary_text )
							{
								$brief_wrapper.removeClass('displayNone displayBlock').addClass('displayBlock');

								$customer_email.val( data.customer_email );
								$summary_text.val( data.summary_text )
							}
							else
							{
								$brief_wrapper.removeClass('displayNone displayBlock').addClass('displayNone');

								$customer_email.val('');
								$summary_text.val('');
							}

							$last_sync_field.val( 'right now' );

							submit_button.css({'opacity':'1','cursor':'pointer'}).prop('disabled',false);

							map_pupup_notify.success( map_settings_success_text );

							if( reload_at_afterfinish )
							{
								setTimeout(function(){
									location.reload();
								}, 200 );
							}

						},
						error:function ()
						{
							submit_button.css({'opacity':'1','cursor':'pointer'}).prop('disabled',false);

							map_pupup_notify.error( map_settings_error_message_text );
						}
					});
				});

				var map_pupup_notify =
				{
					error:function(message)
					{
						var error_element=$('<div class="map_notify_popup" style="background:#ec2b77; border:solid 1px #ec2b77;">'+message+'</div>');
						this.showNotify(error_element);
					},
					success:function(message)
					{
						var success_element=$('<div class="map_notify_popup" style="background:#049ecc; border:solid 1px #049ecc;">'+message+'</div>');
						this.showNotify(success_element);
					},
					showNotify:function(elm)
					{
						$('body').append(elm);
						elm.stop(true,true).animate({'opacity':1,'top':'40px'},1000);
						setTimeout(function(){
							elm.animate({'opacity':0,'top':'60px'},1000,function(){
								elm.remove();
							});
						},2500);
					}
				}
	 		}
	 	}
	 });
})( jQuery );

