<?php

//Get the active tab from the $_GET param
$default_tab = null;
$tab = isset( $_GET['tab'] ) ? sanitize_text_field( $_GET['tab'] ) : $default_tab;

//taking pages for policies url
$get_pages_args = array(
    'sort_order'    => 	'ASC',
    'sort_column'   => 	'post_title',
    'hierarchical'  => 	0,
    'child_of'      => 	0,
    'parent'        => 	-1,
    'offset'        => 	0,
    'post_type'     => 	'page',
    'post_status'   => 	'publish'
);
$all_pages_for_policies_select = get_pages( $get_pages_args );


$display_dpo_class = "displayNone";

if( isset( $rconfig ) &&
	$rconfig['allow_dpo_edit'] )
{
	$display_dpo_class = "";
}

?>

<script type="text/javascript">
    var map_settings_success_text = '<?php echo esc_html__('Settings updated.', 'myagileprivacy');?>';
    var map_settings_error_message_text = '<?php echo esc_html__('Unable to update Settings.', 'myagileprivacy');?>';
    var unsaved_settings_text = '<?php echo esc_html__('Warning! Unsaved changes. Are you sure you want to leave?', 'myagileprivacy');?>';
</script>

  <div class="wrap genericOptionsWrapper" id="my_agile_privacy_backend">

  	<div style="clear:both">
    	<h1><img src="<?php echo plugin_dir_url( __FILE__ );?>../img/logo.png">&nbsp;<?php echo esc_html( get_admin_page_title() ); ?></h1>
   	</div>

    <div class="left_settings_bar">

	    <nav class="nav-tab-wrapper">
	      <a href="edit.php?post_type=<?php echo MAP_POST_TYPE_COOKIES; ?>&page=<?php echo MAP_POST_TYPE_COOKIES.'_settings'; ?>" class="nav-tab <?php if($tab===null):?>nav-tab-active<?php endif; ?>"><?php _e('General', 'myagileprivacy'); ?></a>
	      <a href="edit.php?post_type=<?php echo MAP_POST_TYPE_COOKIES; ?>&page=<?php echo MAP_POST_TYPE_COOKIES.'_settings'; ?>&tab=buttons" class="nav-tab <?php if($tab==='buttons'):?>nav-tab-active<?php endif; ?>"><?php _e('Buttons', 'myagileprivacy'); ?></a>
	      <a href="edit.php?post_type=<?php echo MAP_POST_TYPE_COOKIES; ?>&page=<?php echo MAP_POST_TYPE_COOKIES.'_settings'; ?>&tab=policies" class="nav-tab <?php if($tab==='policies'):?>nav-tab-active<?php endif; ?>"><?php _e('Policies', 'myagileprivacy'); ?></a>
	      <a href="edit.php?post_type=<?php echo MAP_POST_TYPE_COOKIES; ?>&page=<?php echo MAP_POST_TYPE_COOKIES.'_settings'; ?>&tab=identity" class="nav-tab <?php if($tab==='identity'):?>nav-tab-active<?php endif; ?>"><?php _e('Identity', 'myagileprivacy'); ?></a>
	      <a href="edit.php?post_type=<?php echo MAP_POST_TYPE_COOKIES; ?>&page=<?php echo MAP_POST_TYPE_COOKIES.'_settings'; ?>&tab=license" class="nav-tab <?php if($tab==='license'):?>nav-tab-active<?php endif; ?>"><?php _e('License', 'myagileprivacy'); ?></a>

	      <?php

	      	if( $the_options['pa'] == 1 && MAP_SCANNER ):

	      ?>

		      <a href="edit.php?post_type=<?php echo MAP_POST_TYPE_COOKIES; ?>&page=<?php echo MAP_POST_TYPE_COOKIES.'_settings'; ?>&tab=scanner" class="nav-tab <?php if($tab==='scanner'):?>nav-tab-active<?php endif; ?>"><img src="<?php echo plugin_dir_url( __FILE__ );?>../img/logo-cookieshield.png" height="20"></a>

	      <?php
	  		endif;
	  	   ?>

	      <a href="edit.php?post_type=<?php echo MAP_POST_TYPE_COOKIES; ?>&page=<?php echo MAP_POST_TYPE_COOKIES.'_settings'; ?>&tab=advanced" class="nav-tab <?php if($tab==='advanced'):?>nav-tab-active<?php endif; ?>"><?php _e('Advanced', 'myagileprivacy'); ?></a>


	      <?php

	      	if( MAP_MULTILANG_SUPPORT ):

	      ?>

	       	<a href="edit.php?post_type=<?php echo MAP_POST_TYPE_COOKIES; ?>&page=<?php echo MAP_POST_TYPE_COOKIES.'_settings'; ?>&tab=backup" class="nav-tab <?php if($tab==='backup'):?>nav-tab-active<?php endif; ?>"><?php _e('Backup & Restore', 'myagileprivacy'); ?></a>

	      <?php
	  		endif;
	  	   ?>

	    </nav>

	    <div class="tab-content">
	    <?php switch($tab) :
	      case 'buttons':
	        ?>

	        <p>
	        	<?php _e('Here you can customize the look & feel of your accept, refuse and customize buttons.', 'myagileprivacy'); ?>.<br>
	        </p>

		    <form action="admin-ajax.php" method="post" id="map_user_settings_form">
		    	<input type="hidden" name="action" value="update_admin_settings_form" id="action" />
                <?php
                if( function_exists( 'wp_nonce_field' ) )
                {
                    wp_nonce_field( 'myagileprivacy-update-' . MAP_PLUGIN_SETTINGS_FIELD );
                }
                ?>
                <h2><b><?php _e('Accept button', 'myagileprivacy'); ?></b></h2>

				<table class="form-table">
	                <tr valign="top">
	                    <th scope="row"><label for="button_accept_text_field"><?php _e('Text', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <input type="text" id="button_accept_text_field" name="button_accept_text_field" value="<?php echo esc_attr(stripslashes($the_options['button_accept_text'])) ?>" />
	                    </td>
	                </tr>
	                <tr valign="top">
	                    <th scope="row"><label for="button_accept_link_color_field"><?php _e('Text colour', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <?php
	                            echo wp_kses('<input type="text" name="button_accept_link_color_field" id="button_accept_link_color_field" value="' . esc_attr($the_options['button_accept_link_color']) . '" class="wpColorPicker" />', MyAgilePrivacy::allowed_html_tags() );
	                        ?>
	                    </td>
	                </tr>

	                <tr valign="top">
	                    <th scope="row"><label for="button_accept_button_color_field"><?php _e('Background colour', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <?php
	                        echo wp_kses('<input type="text" name="button_accept_button_color_field" id="button_accept_button_color_field" value="' . esc_attr( $the_options['button_accept_button_color'] ) . '" class="wpColorPicker" />', MyAgilePrivacy::allowed_html_tags() );
	                        ?>
	                    </td>
	                </tr>
	            </table>

	            <h2><b><?php _e('Refuse button', 'myagileprivacy'); ?></b></h2>
	            <table class="form-table">
	               <tr valign="top">
	                    <th scope="row"><label for="button_reject_text_field"><?php _e('Text', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <input type="text" id="button_reject_text_field" name="button_reject_text_field" value="<?php echo esc_attr(stripslashes($the_options['button_reject_text'])) ?>" />
	                    </td>
	                </tr>
	                <tr valign="top">
	                    <th scope="row"><label for="button_reject_link_color_field"><?php _e('Text colour', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <?php
	                            echo wp_kses('<input type="text" name="button_reject_link_color_field" id="button_reject_link_color_field" value="' . esc_attr( $the_options['button_reject_link_color'] ) . '" class="wpColorPicker" />',MyAgilePrivacy::allowed_html_tags() );
	                        ?>
	                    </td>
	                </tr>
	               <tr valign="top">
	                    <th scope="row"><label for="button_reject_button_color_field"><?php _e('Background colour', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <?php
	                            echo wp_kses('<input type="text" name="button_reject_button_color_field" id="button_reject_button_color_field" value="' . esc_attr( $the_options['button_reject_button_color'] ). '" class="wpColorPicker" />',MyAgilePrivacy::allowed_html_tags() );
	                        ?>
	                    </td>
	                </tr>
	            </table>


	            <h2><b><?php _e('Customize button', 'myagileprivacy'); ?></b></h2>
	            <table class="form-table">
	                <tr valign="top">
	                    <th scope="row"><label for="button_customize_text_field"><?php _e('Text', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <input type="text" id="button_customize_text_field" name="button_customize_text_field" value="<?php echo esc_attr(stripslashes($the_options['button_customize_text'])) ?>" />
	                    </td>
	                </tr>
	                <tr valign="top">
	                    <th scope="row"><label for="button_customize_link_color_field"><?php _e('Text colour', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <?php
	                            echo wp_kses('<input type="text" name="button_customize_link_color_field" id="button_customize_link_color_field" value="' . esc_attr( $the_options['button_customize_link_color'] ) . '" class="wpColorPicker" />', MyAgilePrivacy::allowed_html_tags() );
	                        ?>
	                    </td>
	                </tr>
	                <tr valign="top">
	                    <th scope="row"><label for="button_customize_button_color_field"><?php _e('Background colour', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <?php
	                            echo wp_kses('<input type="text" name="button_customize_button_color_field" id="button_customize_button_color_field" value="' . esc_attr($the_options['button_customize_button_color']) . '" class="wpColorPicker" />', MyAgilePrivacy::allowed_html_tags() );
	                        ?>
	                    </td>
	                </tr>

				</table>

		        <input type="submit" name="update_admin_settings_form" value="<?php _e('Update Settings', 'myagileprivacy'); ?>" class="button-primary" style="float:right;"  />
		    </form>

	        <?php


	        break;


	      case 'policies':

	        ?>

	        <p>
	        	<?php _e('Here you can enable and customize your policies settings.', 'myagileprivacy'); ?>
	        </p>

		    <form action="admin-ajax.php" method="post" id="map_user_settings_form">
		    	<input type="hidden" name="action" value="update_admin_settings_form" id="action" />
                <?php
                if( function_exists( 'wp_nonce_field' ) )
                {
                    wp_nonce_field( 'myagileprivacy-update-' . MAP_PLUGIN_SETTINGS_FIELD );
                }
                ?>
                <h2><b><?php _e('Cookie Policy', 'myagileprivacy'); ?></b></h2>

                <p><?php _e('The cookie policy page is the place where you tell user about how cookies works and what are the cookies used by the website.', 'myagileprivacy'); ?></p>

                <p><?php _e("Don't forget to associate the right page: we suggest you to create a new page, put the right shortcode in the page editor, and associate the new created page here.", 'myagileprivacy'); ?>
                </p>

                <p><?php _e('The shortcode for the Cookie Policy text is:', 'myagileprivacy'); ?><br>
                	[myagileprivacy_fixed_text text="cookie_policy"]
                </p>


				<table class="form-table">


                    <tr valign="top">
                        <th scope="row"><label for="is_cookie_policy_url_field"><?php _e('Url or Page ?', 'myagileprivacy'); ?> </label></th>
                        <td>


                        	<?php
                        	if( $the_options['is_cookie_policy_url'] == true ):
                        	?>

								<label><input type="radio" id="is_cookie_policy_url_yes" name="is_cookie_policy_url_field" class="" value="true" checked="checked" /><?php _e('Url', 'myagileprivacy'); ?></label>

							<?php
							else:
							?>

								<label><input type="radio" id="is_cookie_policy_url_yes" name="is_cookie_policy_url_field" class="" value="true" /><?php _e('Url', 'myagileprivacy'); ?></label>

							<?php
							endif;
							?>


                        	<?php
                        	if( $the_options['is_cookie_policy_url'] == false ):
                        	?>

                        		<label><input type="radio" id="is_cookie_policy_url_no" name="is_cookie_policy_url_field" class="" value="false" checked="checked"/><?php _e('Page', 'myagileprivacy'); ?></label>

							<?php
							else:
							?>
								<label><input type="radio" id="is_cookie_policy_url_no" name="is_cookie_policy_url_field" class="" value="false"/><?php _e('Page', 'myagileprivacy'); ?></label>

							<?php
							endif;
							?>

                        </td>
                    </tr>

	                <tr valign="top" class="is_cookie_policy_url_yes_detail displayNone">
	                    <th scope="row"><label for="cookie_policy_url_field"><?php _e('Enter URL', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <input type="text" id="cookie_policy_url_field" name="cookie_policy_url_field" value="<?php echo esc_attr(stripslashes($the_options['cookie_policy_url'])) ?>" />
	                    </td>
	                </tr>


	                <tr valign="top" class="is_cookie_policy_url_no_detail displayNone">
	                    <th scope="row"><label for="cookie_policy_page_field"><?php _e('Choose Page', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <select name="cookie_policy_page_field" class="" id="cookie_policy_page_field">
	                            <option value="0">--<?php _e('Select One','myagileprivacy'); ?>--</option>
	                            <?php
	                            foreach( $all_pages_for_policies_select as $page )
	                            {
	                                ?>

	                                <?php
	                                if( $the_options['cookie_policy_page']==$page->ID ):
	                                ?>
	                                	<option value="<?php echo esc_attr( $page->ID ); ?>" selected> <?php echo esc_html( $page->post_title);?> </option>
	                                <?php
	                            	else:
	                            	?>
	                            		<option value="<?php echo esc_attr( $page->ID ); ?>"> <?php echo esc_html( $page->post_title);?> </option>
	                            	<?php
	                            	endif;
	                            	?>
	                                <?php
	                            }
	                            ?>
	                        </select>
	                    </td>
	                </tr>

	            </table>

	            <h2><b><?php _e('Personal Data Policy', 'myagileprivacy'); ?></b></h2>


                <p><?php _e("The personal data page is the place where you tell user about how do you use personal data, for example for answering back a user form submission.", 'myagileprivacy'); ?></p>

                <p><?php _e("Don't forget to associate the right page: we suggest you to create a new page, put the right shortcode in the page editor, and associate the new created page here.", 'myagileprivacy'); ?>
                </p>

                <p><?php _e("The shortcode for the Personal Data Policy text is:", 'myagileprivacy'); ?><br>
                	[myagileprivacy_fixed_text text="personal_data_policy"]
                </p>

                <p><?php _e("Please remember also to ask user consent, adjusting your forms, adding the link to the selected page. You have got a shortcode for helping you to insert the right link.", 'myagileprivacy'); ?>

                </p>

                <p><?php _e("The shortcode for the Personal Data Policy page URL is:", 'myagileprivacy'); ?><br>
                	[myagileprivacy_link value="personal_data_policy" text="Personal Data Policy"]
                </p>

				<table class="form-table">

                    <tr valign="top">
                        <th scope="row"><label for="is_personal_data_policy_url_field"><?php _e('Url or Page ?', 'myagileprivacy'); ?> </label></th>
                        <td>


                        	<?php
                        	if( $the_options['is_personal_data_policy_url'] == true ):
                        	?>

								<label><input type="radio" id="is_personal_data_policy_url_yes" name="is_personal_data_policy_url_field" class="" value="true" checked="checked" /><?php _e('Url', 'myagileprivacy'); ?></label>

							<?php
							else:
							?>

								<label><input type="radio" id="is_personal_data_policy_url_yes" name="is_personal_data_policy_url_field" class="" value="true" /><?php _e('Url', 'myagileprivacy'); ?></label>

							<?php
							endif;
							?>


                        	<?php
                        	if( $the_options['is_personal_data_policy_url'] == false ):
                        	?>

                        		<label><input type="radio" id="is_personal_data_policy_url_no" name="is_personal_data_policy_url_field" class="" value="false" checked="checked"/><?php _e('Page', 'myagileprivacy'); ?></label>

							<?php
							else:
							?>
								<label><input type="radio" id="is_personal_data_policy_url_no" name="is_personal_data_policy_url_field" class="" value="false"/><?php _e('Page', 'myagileprivacy'); ?></label>

							<?php
							endif;
							?>

                        </td>
                    </tr>

	                <tr valign="top" class="is_personal_data_policy_url_yes_detail displayNone">
	                    <th scope="row"><label for="personal_data_policy_url_field"><?php _e('Enter URL', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <input type="text" id="personal_data_policy_url_field" name="personal_data_policy_url_field" value="<?php echo esc_attr(stripslashes($the_options['personal_data_policy_url'])) ?>" />
	                    </td>
	                </tr>


	                <tr valign="top" class="is_personal_data_policy_url_no_detail displayNone">
	                    <th scope="row"><label for="personal_data_policy_page_field"><?php _e('Choose Page', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <select name="personal_data_policy_page_field" class="" id="personal_data_policy_page_field">
	                            <option value="0">--<?php _e('Select One','myagileprivacy'); ?>--</option>

	                            <?php
	                            foreach( $all_pages_for_policies_select as $page )
	                            {
	                                ?>

	                                <?php
	                                if( $the_options['personal_data_policy_page']==$page->ID ):
	                                ?>
	                                	<option value="<?php echo esc_attr( $page->ID ); ?>" selected> <?php echo esc_html( $page->post_title);?> </option>
	                                <?php
	                            	else:
	                            	?>
	                            		<option value="<?php echo esc_attr( $page->ID ); ?>"> <?php echo esc_html( $page->post_title);?> </option>
	                            	<?php
	                            	endif;
	                            	?>
	                                <?php
	                            }
	                            ?>

	                        </select>
	                    </td>
	                </tr>

	            </table>


		        <input type="submit" name="update_admin_settings_form" value="<?php _e('Update Settings', 'myagileprivacy'); ?>" class="button-primary" style="float:right;"  />
		    </form>

	        <?php


	        break;


	      case 'scanner':

	      	?>


	        <h2>
	        	<?php _e('Cookie Shield', 'myagileprivacy'); ?>
	        </h2>

	        <p>
	        	<?php _e('This is an advanced functionality useful for automatic detecting and blocking common cookies / thirdy part software.', 'myagileprivacy'); ?>
	        </p>

	        <p>
	        	<?php _e('Default is off. Put the Shield to Learning Mode and start visiting your own site. That is mandatory in order to detect software and widget. Do navigate as much pages as you can. ', 'myagileprivacy'); ?>
	        </p>

	        <p>
	        	<?php _e('Detecting a cookie makes it automatically available in the Cookie Bar.', 'myagileprivacy'); ?>
	        </p>

	        <p>
	        	<?php _e('When you finished, just remember to put the Shield to Live Mode, in order to not slow your website.', 'myagileprivacy'); ?>
	        </p>

	        <p>
	        	<?php _e('Warning: the Shield could not work with minify script and caching system: turn them off if you use it in your system configuration.', 'myagileprivacy'); ?>
	        </p>

	        <p>
	        	<?php _e('Use this Shield as a fast way to detect and configure My Agile Privacy.', 'myagileprivacy'); ?>
	        </p>

	        <p>
	        	<?php _e('Limitation: the Shield is regularly updated in order to detect as much cookie / thirdy part software as possible. That means that it can fail to detect everything that your Country requires you to identify and block. For any doubt, ask help@myagileprivacy.com .', 'myagileprivacy'); ?>
	        </p>


		    <form action="admin-ajax.php" method="post" id="map_user_settings_form">
		    	<input type="hidden" name="action" value="update_admin_settings_form" id="action" />
                <?php
                if( function_exists( 'wp_nonce_field' ) )
                {
                    wp_nonce_field( 'myagileprivacy-update-' . MAP_PLUGIN_SETTINGS_FIELD );
                }
                ?>


				<table class="form-table">
                    <tr valign="top">
                        <th scope="row"><label for="scan_mode_field"><?php _e('Scanner / Blocker Mode', 'myagileprivacy'); ?></label></th>
                        <td>

                            <select id="scan_mode_field" name="scan_mode_field" class="hideShowInput" style="max-width:100%;" data-hide-show-ref="map_scan_mode">
                                <?php

                                $valid_options = array(
                                	'turned_off'				=>	array(  'label' => __('Scanner / Blocker OFF', 'myagileprivacy'),
                                											'selected' => false ),
                                	'learning_mode'				=>	array(  'label' => __('Learning Mode', 'myagileprivacy'),
                                											'selected' => false ),

                                	'config_finished'			=>	array(  'label' => __('Live Mode', 'myagileprivacy'),
                                											'selected' => false ),
                                );

                                $selected_value = $the_options['scan_mode'];

                                if( isset( $valid_options[ $selected_value ] ) )
                                {
                                	$valid_options[ $selected_value ]['selected'] = true;
                                }

                                foreach( $valid_options as $key => $data )
                                {
                                	if( $data['selected'] )
                                	{
	                                	?>
	                                	<option value="<?php echo esc_attr($key)?>" selected><?php echo esc_attr($data['label'])?></option>
	                                	<?php
                                	}
                                	else
                                	{
	                                	?>
	                                	<option value="<?php echo esc_attr($key)?>"><?php echo esc_attr($data['label'])?></option>
	                                	<?php
                                	}
                                }

                                ?>
                            </select>
                        </td>
                    </tr>

                </table>

                <table class="form-table map_scan_mode displayNone" data-value="learning_mode config_finished">


                    <tr valign="top" class="">
                        <th scope="row"><label for="scanner_compatibility_mode_field"><?php _e('Enable compatibility mode', 'myagileprivacy'); ?></label></th>
                        <td>
                        	<input type="hidden" name="scanner_compatibility_mode_field" value="false" id="scanner_compatibility_mode_field_no">
                            <input class="hideShowInput" data-hide-show-ref="scanner_compatibility_mode" name="scanner_compatibility_mode_field" type="checkbox" value="true" id="scanner_compatibility_mode_field" <?php checked($the_options['scanner_compatibility_mode'], true); ?>>
                            <label for="scanner_compatibility_mode_field"><span class="map_form_help"><?php echo esc_html__('Check this if you see page loading error or no cookies detected', 'myagileprivacy'); ?>
                            </span></label>
                        </td>
                    </tr>


	               <tr valign="top" class="scanner_compatibility_mode displayNone">
	                    <th scope="row"><label for="scanner_hook_type_field"><?php _e('Scanner Hook Type', 'myagileprivacy'); ?></label></th>
	                    <td>

                            <select id="scanner_hook_type_field" name="scanner_hook_type_field" class="" style="max-width:100%;">
                                <?php

                                $valid_options = array(
                                	'init-shutdown'				=>	array(  'label' => __('Init / Shutdown', 'myagileprivacy'),
                                											'selected' => false ),
                                	'template_redirect-shutdown'				=>	array(  'label' => __('Template Redirect / Shutdown', 'myagileprivacy'),
                                											'selected' => false ),
                                );

                                $selected_value = $the_options['scanner_hook_type'];

                                if( isset( $valid_options[ $selected_value ] ) )
                                {
                                	$valid_options[ $selected_value ]['selected'] = true;
                                }

                                foreach( $valid_options as $key => $data )
                                {
                                	if( $data['selected'] )
                                	{
	                                	?>
	                                	<option value="<?php echo esc_attr($key)?>" selected><?php echo esc_attr($data['label'])?></option>
	                                	<?php
                                	}
                                	else
                                	{
	                                	?>
	                                	<option value="<?php echo esc_attr($key)?>"><?php echo esc_attr($data['label'])?></option>
	                                	<?php
                                	}
                                }

                                ?>
                            </select>
	                    </td>
	                </tr>


	               <tr valign="top" class="scanner_compatibility_mode displayNone">
	                    <th scope="row"><label for="scanner_start_hook_prio_field"><?php _e('Scanner Start Priority', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <input type="text" id="scanner_start_hook_prio_field" name="scanner_start_hook_prio_field" value="<?php echo esc_attr(stripslashes($the_options['scanner_start_hook_prio'])) ?>" />
                            <span class="map_form_help"><br><?php echo esc_html__('Change this only if asked by customer support. (Default value: -10000).', 'myagileprivacy'); ?>
                            </span>
	                    </td>
	                </tr>

	               <tr valign="top" class="scanner_compatibility_mode displayNone">
	                    <th scope="row"><label for="scanner_end_hook_prio_field"><?php _e('Scanner End Priority', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <input type="text" id="scanner_end_hook_prio_field" name="scanner_end_hook_prio_field" value="<?php echo esc_attr(stripslashes($the_options['scanner_end_hook_prio'])) ?>" />
                            <span class="map_form_help"><br><?php echo esc_html__('Change this only if asked by customer support. (Default value: -10000).', 'myagileprivacy'); ?>
                            </span>
	                    </td>
	                </tr>


                    <tr valign="top" class="">
                        <th scope="row"><label for="video_advanced_privacy_field"><?php _e('Video advanced privacy', 'myagileprivacy'); ?></label></th>
                        <td>
                            <input type="hidden" name="video_advanced_privacy_field" value="false" id="video_advanced_privacy_field_no">
                            <input name="video_advanced_privacy_field" type="checkbox" value="true" id="video_advanced_privacy_field" <?php checked($the_options['video_advanced_privacy'], true); ?>>
                            <label for="video_advanced_privacy_field"><span class="map_form_help"><?php echo esc_html__('Enable Automatic Privacy Setting for Youtube and Vimeo Video', 'myagileprivacy'); ?>
                            </span></label>
                        </td>
                    </tr>

                    <tr valign="top" class="">
                        <th scope="row"><label for="enforce_youtube_privacy_field"><?php _e('Enforce Youtube Privacy', 'myagileprivacy'); ?></label></th>
                        <td>
                            <input type="hidden" name="enforce_youtube_privacy_field" value="false" id="enforce_youtube_privacy_field_no">
                            <input name="enforce_youtube_privacy_field" type="checkbox" value="true" id="enforce_youtube_privacy_field" <?php checked($the_options['enforce_youtube_privacy'], true); ?>>
                            <label for="enforce_youtube_privacy_field"><span class="map_form_help"><?php echo esc_html__('Enable Youtube enforced Cookie Block technology', 'myagileprivacy'); ?>
                            </span></label>
                        </td>
                    </tr>

                   	<tr valign="top" class="">
                        <th scope="row"><label for="maps_block_field"><?php _e('Do block Maps widget', 'myagileprivacy'); ?></label></th>
                        <td>
                        	<input type="hidden" name="maps_block_field" value="false" id="maps_block_field_no">
                            <input name="maps_block_field" type="checkbox" value="true" id="maps_block_field" <?php checked($the_options['maps_block'], true); ?>>
                            <label for="maps_block_field"><span class="map_form_help"><?php echo esc_html__('Enable Maps block', 'myagileprivacy'); ?>
                            </span></label>
                        </td>
                    </tr>


                    <tr valign="top" class="">
                        <th scope="row"><label for="captcha_block_field"><?php _e('Do block Captcha', 'myagileprivacy'); ?></label></th>
                        <td>
                        	<input type="hidden" name="captcha_block_field" value="false" id="captcha_block_field_no">
                            <input name="captcha_block_field" type="checkbox" value="true" id="captcha_block_field" <?php checked($the_options['captcha_block'], true); ?>>
                            <label for="captcha_block_field"><span class="map_form_help"><?php echo esc_html__('Enable Captcha block', 'myagileprivacy'); ?>
                            </span></label>
                        </td>
                    </tr>


                    <tr valign="top" class="">
                        <th scope="row"><label for="blocked_content_notify_field"><?php _e('Enable Blocked Content Notification Bar', 'myagileprivacy'); ?></label></th>
                        <td>
                        	<input type="hidden" name="blocked_content_notify_field" value="false" id="blocked_content_notify_field_no">
                            <input class="hideShowInput" data-hide-show-ref="blocked_content_reladed_options" name="blocked_content_notify_field" type="checkbox" value="true" id="blocked_content_notify_field" <?php checked($the_options['blocked_content_notify'], true); ?>>
                            <label for="blocked_content_notify_field"><span class="map_form_help"><?php echo esc_html__('Enable Notification Bar', 'myagileprivacy'); ?>
                            </span></label>
                        </td>
                    </tr>

                    <tr valign="top" class="blocked_content_reladed_options displayNone">
                        <th scope="row"><label for="show_ntf_bar_on_not_yet_consent_choice_field"><?php _e('Blocked Content Notification Bar', 'myagileprivacy'); ?></label></th>
                        <td>
                            <input type="hidden" name="show_ntf_bar_on_not_yet_consent_choice_field" value="false" id="show_ntf_bar_on_not_yet_consent_choice_field_no">
                            <input name="show_ntf_bar_on_not_yet_consent_choice_field" type="checkbox" value="true" id="show_ntf_bar_on_not_yet_consent_choice_field" <?php checked($the_options['show_ntf_bar_on_not_yet_consent_choice'], true); ?>>
                            <label for="show_ntf_bar_on_not_yet_consent_choice_field"><span class="map_form_help"><?php echo esc_html__('Show the Blocked Content Notification Bar even if the user has not yet expressed a consent choice', 'myagileprivacy'); ?>
                            </span></label>
                        </td>
                    </tr>

                    <tr valign="top" class="blocked_content_reladed_options displayNone">
                        <th scope="row"><label for="blocked_content_notify_auto_shutdown_field"><?php _e('Auto Close Blocked Content Notification Bar', 'myagileprivacy'); ?></label></th>
                        <td>
                            <input type="hidden" name="blocked_content_notify_auto_shutdown_field" value="false" id="blocked_content_notify_auto_shutdown_field_no">
                            <input name="blocked_content_notify_auto_shutdown_field" type="checkbox" value="true" id="blocked_content_notify_auto_shutdown_field" <?php checked($the_options['blocked_content_notify_auto_shutdown'], true); ?>>
                            <label for="blocked_content_notify_auto_shutdown_field"><span class="map_form_help"><?php echo esc_html__('This will close automatically the blocked content notification bar after some second', 'myagileprivacy'); ?>
                            </span></label>
                        </td>
                    </tr>


	               <tr valign="top" class="blocked_content_reladed_options displayNone">
	                    <th scope="row"><label for="blocked_content_notify_auto_shutdown_time_field"><?php _e('Auto Close Timeout', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <input type="text" id="blocked_content_notify_auto_shutdown_time_field" name="blocked_content_notify_auto_shutdown_time_field" value="<?php echo esc_attr(stripslashes($the_options['blocked_content_notify_auto_shutdown_time'])) ?>" />
                            <span class="map_form_help"><br><?php echo esc_html__('The value is in milliseconds. (Default value: 3000).', 'myagileprivacy'); ?>
                            </span>
	                    </td>
	                </tr>


	                <tr valign="top">
	                    <th scope="row"><label for="map_inline_notify_color_field"><?php _e('Blocked Content Widget text colour', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <?php
	                        echo wp_kses('<input type="text" name="map_inline_notify_color_field" id="map_inline_notify_color_field" value="' . esc_attr( $the_options['map_inline_notify_color'] ) . '" class="wpColorPicker" />', MyAgilePrivacy::allowed_html_tags() );
	                        ?>
	                    </td>
	                </tr>


	                <tr valign="top">
	                    <th scope="row"><label for="map_inline_notify_background_field"><?php _e('Blocked Content Widget background colour', 'myagileprivacy'); ?></label></th>
	                    <td>
	                        <?php
	                        echo wp_kses('<input type="text" name="map_inline_notify_background_field" id="map_inline_notify_background_field" value="' . esc_attr( $the_options['map_inline_notify_background'] ) . '" class="wpColorPicker" />', MyAgilePrivacy::allowed_html_tags() );
	                        ?>
	                    </td>
	                </tr>



                </table>

                <table class="form-table map_scan_mode displayNone" data-value="learning_mode">
                    <tr valign="top">
                        <th scope="row"><label for="scanner_log_field"><?php _e('Scan log', 'myagileprivacy'); ?></label></th>
                        <td>
                            <?php
                            echo '<textarea disabled readonly style="height:100px;" id="scanner_log_field" name="scanner_log_field" class="text_style">';
                            echo esc_html( str_replace('<br>',"\n",html_entity_decode( $the_options['scanner_log'] ) )  ) . '</textarea>';
                            ?>
                            <br>
                            <span class="map_form_help"><?php _e('Last scan execution log (for debug purpose)', 'myagileprivacy'); ?> <br /></span>
                        </td>
                    </tr>


	            </table>

		        <input type="submit" name="update_admin_settings_form" value="<?php _e('Update Settings', 'myagileprivacy'); ?>" class="button-primary" style="float:right;"  />
		    </form>

	      	<?php

	      	break;

	      case 'advanced':

	        ?>

	        <p>
	        	<?php _e('Advanced settings.', 'myagileprivacy'); ?>
	        </p>

		    <form action="admin-ajax.php" method="post" id="map_user_settings_form">
		    	<input type="hidden" name="action" value="update_admin_settings_form" id="action" />
                <?php
                if( function_exists( 'wp_nonce_field' ) )
                {
                    wp_nonce_field( 'myagileprivacy-update-' . MAP_PLUGIN_SETTINGS_FIELD );
                }
                ?>



				<table class="form-table">
                    <tr valign="top">
                        <th scope="row"><label for="default_locale_field"><?php _e('Language', 'myagileprivacy'); ?></label></th>
                        <td>

                            <select id="default_locale_field" name="default_locale_field" class="" style="max-width:100%;">
                                <?php

                                $valid_options = array(
                                	/*
                                	'default_wordpress_locale'	=>	array(  'label' => __('Default Wordpress Locale', 'myagileprivacy'),
                                											'selected' => false ),
									*/
                                	'en_US'						=>	array(  'label' => __('English', 'myagileprivacy'),
                                											'selected' => false ),
                                	'it_IT'						=>	array(  'label' => __('Italian', 'myagileprivacy'),
                                											'selected' => false ),
                                	'fr_FR'						=>	array(  'label' => __('French', 'myagileprivacy'),
                                											'selected' => false ),
                                	'de_DE'						=>	array(  'label' => __('German', 'myagileprivacy'),
                                											'selected' => false ),
                                	'es_ES'						=>	array(  'label' => __('Spanish', 'myagileprivacy'),
                                											'selected' => false ),
                                );

                                $selected_value = $the_options['default_locale'];

                                if( isset( $valid_options[ $selected_value ] ) )
                                {
                                	$valid_options[ $selected_value ]['selected'] = true;
                                }

                                foreach( $valid_options as $key => $data )
                                {
                                	if( $data['selected'] )
                                	{
	                                	?>
	                                	<option value="<?php echo esc_attr($key)?>" selected><?php echo esc_attr($data['label'])?></option>
	                                	<?php
                                	}
                                	else
                                	{
	                                	?>
	                                	<option value="<?php echo esc_attr($key)?>"><?php echo esc_attr($data['label'])?></option>
	                                	<?php
                                	}
                                }

                                ?>
                            </select>
                        </td>
                    </tr>

                    <tr valign="top">
                        <th scope="row"><label for="disable_logo_field"><?php _e('Disable My Agile Privacy logo', 'myagileprivacy'); ?></label></th>
                        <td>
                        	<input type="hidden" name="disable_logo_field" value="false" id="disable_logo_field_no">
                            <input name="disable_logo_field" type="checkbox" value="true" id="disable_logo_field" <?php checked($the_options['disable_logo'], true); ?>>
                            <label for="disable_logo_field"><span class="map_form_help"><?php echo esc_html__('Disable logo on Cookie Bar', 'myagileprivacy'); ?></span>
                            </span>
                        </td>
                    </tr>

                    <tr valign="top">
                        <th scope="row"><label for="wrap_shortcodes_field"><?php _e('Wrap shortcode for css customization', 'myagileprivacy'); ?></label></th>
                        <td>
                        	<input type="hidden" name="wrap_shortcodes_field" value="false" id="wrap_shortcodes_field_no">
                            <input name="wrap_shortcodes_field" type="checkbox" value="true" id="wrap_shortcodes_field" <?php checked($the_options['wrap_shortcodes'], true); ?>>
                            <label for="wrap_shortcodes_field"><span class="map_form_help"><?php echo esc_html__('Enable wrapping', 'myagileprivacy'); ?>
                            </span>
                        	</label>
                        </td>
                    </tr>



                    <tr valign="top">
                        <th scope="row"><label for="custom_css_field"><?php _e('Custom Css', 'myagileprivacy'); ?></label></th>
                        <td>
                            <?php
                            echo '<textarea id="custom_css_field" name="custom_css_field" class="text_style">';
                            echo apply_filters('format_to_edit', esc_attr($the_options['custom_css'])) . '</textarea>';
                            ?>
                            <br>
                            <span class="map_form_help"><?php _e('Enter your custom css', 'myagileprivacy'); ?> <br /></span>
                        </td>
                    </tr>


                    <tr valign="top">
                        <th scope="row"><label for="client_force_reinject_jquery_field"><?php _e('Force jQuery reinject', 'myagileprivacy'); ?></label></th>
                        <td>
                        	<input type="hidden" name="client_force_reinject_jquery_field" value="false" id="client_force_reinject_jquery_field_no">
                            <input name="client_force_reinject_jquery_field" type="checkbox" value="true" id="client_force_reinject_jquery_field" <?php checked($the_options['client_force_reinject_jquery'], true); ?>>
                            <label for="client_force_reinject_jquery_field"><span class="map_form_help"><?php echo esc_html__('Enable this if you have a custom theme with deactivated jQuery, and loading issues.', 'myagileprivacy'); ?>
                            </span>
                        	</label>
                        </td>
                    </tr>


                    <tr valign="top">
                        <th scope="row"><label for="force_sync"><?php _e('Force Cookies and Policy syncronization', 'myagileprivacy'); ?></label></th>
                        <td>
                            <input name="force_sync" type="checkbox" value="1" id="force_sync">
                            <label for="force_sync"><span class="map_form_help"><?php echo esc_html__('This will sync Cookies And Policy in the next five minute', 'myagileprivacy'); ?>
                            </span></label>
                        </td>
                    </tr>


                    <tr valign="top">
                        <th scope="row"><label for="reset_settings"><?php _e('Reset all settings', 'myagileprivacy'); ?></label></th>
                        <td>
                            <input name="reset_settings" type="checkbox" value="1" id="reset_settings">
                            <label for="reset_settings"><span class="map_form_help"><?php echo esc_html__('Warning: this will reset all the plugin settings.', 'myagileprivacy'); ?>
                            </span></label>
                        </td>
                    </tr>


                    <tr valign="top">
                        <th scope="row"><label for="reset_consent"><?php _e('Reset given consent', 'myagileprivacy'); ?></label></th>
                        <td>
                            <input name="reset_consent" type="checkbox" value="1" id="reset_consent">
                            <label for="reset_consent"><span class="map_form_help"><?php echo esc_html__('Warning: this will reset all the user consent given. Use this only if you change your cookie list and you would like to ask consent again.', 'myagileprivacy'); ?>
                            </span></label>
                        </td>
                    </tr>



	            </table>

		        <input type="submit" name="update_admin_settings_form" value="<?php _e('Update Settings', 'myagileprivacy'); ?>" class="button-primary" style="float:right;"  />
		    </form>

	        <?php


	        break;


	      case 'backup':

	        ?>

	        <div class="loadingMessage">

		        <p>
		        	<?php _e('Please wait: page loading.', 'myagileprivacy'); ?>
		        </p>

	        </div>

	        <div class="loadingWrapper displayNone">

		        <p>
		        	<?php _e('Backup and restore your cookie list configuration.', 'myagileprivacy'); ?>
		        </p>

			    <form action="admin-post.php" method="post" id="">
			    	<input type="hidden" name="action" value="backup_admin_settings_form" id="action" />
			    	<input type="hidden" name="do" value="1" />
	                <?php
	                if( function_exists( 'wp_nonce_field' ) )
	                {
	                    wp_nonce_field( 'myagileprivacy-update-' . MAP_PLUGIN_SETTINGS_FIELD );
	                }
	                ?>

	                <p>
	                	<?php _e('Pressing the following button will download your cookie configuration.', 'myagileprivacy'); ?>
	                </p>

			        <input type="submit" name="backup_admin_settings_form" value="<?php _e('Export Cookie Settings', 'myagileprivacy'); ?>" class="button-primary" />
			    </form>

			    <br>

			    <form action="admin-ajax.php" method="post" id="map_user_settings_form" class="reload_at_afterfinish">
			    	<input type="hidden" name="action" value="update_admin_settings_form" id="action" />
			    	<input type="hidden" name="reset_cookie_settings"  value="1" id="reset_settings">
	                <?php
	                if( function_exists( 'wp_nonce_field' ) )
	                {
	                    wp_nonce_field( 'myagileprivacy-update-' . MAP_PLUGIN_SETTINGS_FIELD );
	                }
	                ?>

	                <p>
	                	<?php _e('Pressing the following button will clean up your cookie configuration. Warning: do export first, and full page reload before importing again.', 'myagileprivacy'); ?>
	                </p>


			        <input type="submit" name="update_admin_settings_form" value="<?php _e('Clean All Cookie', 'myagileprivacy'); ?>" class="button-primary" />
			    </form>

			    <br>

			    <form action="admin-post.php" method="post" id="" enctype="multipart/form-data">
			    	<input type="hidden" name="action" value="import_admin_settings_form" id="action" />
			    	<input type="hidden" name="do" value="1" />
	                <?php
	                if( function_exists( 'wp_nonce_field' ) )
	                {
	                    wp_nonce_field( 'myagileprivacy-update-' . MAP_PLUGIN_SETTINGS_FIELD );
	                }
	                ?>

	                <p>
	                	<?php _e('Restore your previously saved configuration. Please wait page fully loaded before importing.', 'myagileprivacy'); ?>
	                </p>

	                <input type="file" name="the_imported_file" >

			        <input type="submit" name="import_admin_settings_form" value="<?php _e('Import Cookie Settings', 'myagileprivacy'); ?>" class="button-primary" />
			    </form>

			</div>
		    <?php


	        break;

	      case 'identity':

	        ?>

	        <p>
	        	<?php _e('Here you can enter the company details or the site older informations. This is used for populating the privacy data controller section.', 'myagileprivacy'); ?>
	        </p>


		    <form action="admin-ajax.php" method="post" id="map_user_settings_form">
		    	<input type="hidden" name="action" value="update_admin_settings_form" id="action" />
                <?php
                if( function_exists( 'wp_nonce_field' ) )
                {
                    wp_nonce_field( 'myagileprivacy-update-' . MAP_PLUGIN_SETTINGS_FIELD );
                }
                ?>
				<table class="form-table">


                    <tr valign="top">
                        <th scope="row"><label for="website_name_field"><?php _e('Domain list', 'myagileprivacy'); ?></label></th>
                        <td>
                            <?php
                            echo '<textarea id="website_name_field" name="website_name_field" class="text_style">';
                            echo apply_filters('format_to_edit', esc_attr(stripslashes($the_options['website_name']))) . '</textarea>';
                            ?>
                            <br>
                            <span class="map_form_help"><?php _e('You can enter multiple domain linked to this website.', 'myagileprivacy'); ?> <br /></span>
                        </td>
                    </tr>


                    <tr valign="top">
                    	<th scope="row"><label for="identity_name_field"><?php _e('Company Name / Site Holder', 'myagileprivacy'); ?></label></th>
                        <td>
                            <input type="text" id="identity_name_field" name="identity_name_field" value="<?php echo esc_attr(stripslashes($the_options['identity_name']))  ?>" />
                        </td>
                    </tr>


                    <tr valign="top">
                    	<th scope="row"><label for="identity_address_field"><?php _e('Company Address', 'myagileprivacy'); ?></label></th>
                        <td>
                            <input type="text" id="identity_address_field" name="identity_address_field" value="<?php echo esc_attr(stripslashes($the_options['identity_address']))  ?>" />
                        </td>
                    </tr>

                    <tr valign="top">
                    	<th scope="row"><label for="identity_vat_id_field"><?php _e('Vat Id', 'myagileprivacy'); ?></label></th>
                        <td>
                            <input type="text" id="identity_vat_id_field" name="identity_vat_id_field" value="<?php echo esc_attr(stripslashes($the_options['identity_vat_id']))  ?>" />
                            <span class="map_form_help"><br><?php esc_html_e('Leave it blank, If not applicabile', 'myagileprivacy'); ?>
                            </span>
                        </td>
                    </tr>

                    <tr valign="top">
                    	<th scope="row"><label for="identity_email_field"><?php _e('Company E-mail', 'myagileprivacy'); ?></label></th>
                        <td>
                            <input type="text" id="identity_email_field" name="identity_email_field" value="<?php echo esc_attr(stripslashes($the_options['identity_email']))  ?>" />
                        </td>
                    </tr>

                    <tr valign="top" class="<?php echo esc_attr( $display_dpo_class ); ?>">
                        <th scope="row"><label for="display_dpo_field"><?php _e('I have a DPO (Data Protection Officer)', 'myagileprivacy'); ?></label></th>
                        <td>
                        	<input type="hidden" name="display_dpo_field" value="false" id="display_dpo_field_no">
                            <input class="hideShowInput" data-hide-show-ref="display_dpo_field_wrapper" name="display_dpo_field" type="checkbox" value="true" id="display_dpo_field" <?php checked($the_options['display_dpo'], true); ?>>
                            <label for="display_dpo_field"><span class="map_form_help"><?php echo esc_html__('Yes, I have a DPO', 'myagileprivacy'); ?>
                            </span></label>
                        </td>
                    </tr>


				</table>

				<table class="form-table display_dpo_field_wrapper displayNone">

                    <tr valign="top">
                        <th scope="row"><label for="dpo_email_field"><?php _e('DPO Email', 'myagileprivacy'); ?> </label></th>
	                    <td>
	                        <input type="text" id="dpo_email_field" name="dpo_email_field" value="<?php echo esc_attr(stripslashes($the_options['dpo_email']))  ?>" />
	                    </td>
                    </tr>

                </table>

		        <input type="submit" name="update_admin_settings_form" value="<?php _e('Update Settings', 'myagileprivacy'); ?>" class="button-primary" style="float:right;"  />
		    </form>

	        <?php


	        break;
	      case 'license':

	      	?>


	        <p>
	        	<?php _e('Your license details', 'myagileprivacy'); ?>.
	        </p>



		    <form action="admin-ajax.php" method="post" id="map_user_settings_form">
		    	<input type="hidden" name="action" value="update_admin_settings_form" id="action" />
                <?php
                if( function_exists( 'wp_nonce_field' ) )
                {
                    wp_nonce_field( 'myagileprivacy-update-' . MAP_PLUGIN_SETTINGS_FIELD );
                }
                ?>
				<table class="form-table">

                    <tr valign="top">
                    	<th scope="row"><label for="last_sync_field"><?php _e('Last cookies sync', 'myagileprivacy'); ?></label></th>
                        <td>
                            <input disabled type="text" id="last_sync_field" name="last_sync_field" value="<?php if( $the_options['last_sync'] ) echo date("H:i:s F j Y", esc_attr(stripslashes($the_options['last_sync']))); else echo ''; ?>"/>
                        </td>
                    </tr>

                    <tr valign="top">
                    	<th scope="row"><label for="license_user_status_field"><?php _e('Your license status', 'myagileprivacy'); ?></label></th>
                        <td>
                            <input disabled type="text" id="license_user_status_field" name="license_user_status_field" value="<?php echo esc_attr(stripslashes($the_options['license_user_status']));  ?>" class="<?php if( $the_options['license_valid'] && !$the_options['grace_period'] ) echo esc_attr('success_style'); else echo esc_attr( 'warning_style');  ?>"/>
                        </td>
                    </tr>


                    <tr valign="top">
                    	<th scope="row"><label for="license_code_field"><?php _e('License code', 'myagileprivacy'); ?></label></th>
                        <td>
                            <input type="text" id="license_code_field" name="license_code_field" value="<?php echo esc_attr(stripslashes($the_options['license_code']))  ?>" />
                        </td>
                    </tr>


				</table>

				<div class="brief_wrapper <?php if( !$the_options['summary_text'] ) echo esc_attr('displayNone');  ?>">
					<table class="form-table">

	                    <tr valign="top">
	                    	<th scope="row"><label for="customer_email_field"><?php _e('Your e-mail', 'myagileprivacy'); ?></label></th>
	                        <td>
	                            <input disabled type="text" id="customer_email_field" name="customer_email_field" value="<?php echo esc_attr(stripslashes($the_options['customer_email']));  ?>" />
	                        </td>
	                    </tr>

	                    <tr valign="top">
	                    	<th scope="row"><label for="summary_text_field"><?php _e('License summary', 'myagileprivacy'); ?></label></th>
	                        <td>
	                            <textarea disabled id="summary_text_field" name="summary_text_field"><?php echo esc_attr(stripslashes($the_options['summary_text']));?></textarea>
	                        </td>
	                    </tr>

	                </table>

				</div>


		        <input type="submit" name="update_admin_settings_form" value="<?php _e('Update Settings', 'myagileprivacy'); ?>" class="button-primary" style="float:right;"  />
		    </form>

	      	<?php

	        break;
	      default:

	        ?>

	        <p>
	        	<?php _e('Welcome ! Here you can customize the MyAgilePrivacy essential settings.', 'myagileprivacy'); ?>
	        </p>


		    <form action="admin-ajax.php" method="post" id="map_user_settings_form">
		    	<input type="hidden" name="action" value="update_admin_settings_form" id="action" />
                <?php
                if( function_exists( 'wp_nonce_field' ) )
                {
                    wp_nonce_field( 'myagileprivacy-update-' . MAP_PLUGIN_SETTINGS_FIELD );
                }
                ?>
				<table class="form-table">
					<tr valign="top">
						<th scope="row"><label for="is_on_field_yes"><?php _e('Enable cookie bar', 'myagileprivacy'); ?></label></th>
						<td>

							<?php
							if( $the_options['is_on'] == true ):
							?>
								<label><input type="radio" id="is_on_field_yes" name="is_on_field" class="" value="true"  checked="checked"/><?php _e('On', 'myagileprivacy'); ?></label>
							<?php
							else:
							?>
								<label><input type="radio" id="is_on_field_yes" name="is_on_field" class="" value="true"><?php _e('On', 'myagileprivacy'); ?></label>
							<?php
							endif;
							?>


							<?php
							if( $the_options['is_on'] == false ):
							?>
								<label><input type="radio" id="is_on_field_no" name="is_on_field" class="" value="false"checked="checked"/><?php _e('Off', 'myagileprivacy'); ?></label>
							<?php
							else:
							?>
								<label><input type="radio" id="is_on_field_no" name="is_on_field" class="" value="false"/><?php _e('Off', 'myagileprivacy'); ?></label>
							<?php
							endif;
							?>

						</td>
					</tr>

                    <tr valign="top">
                        <th scope="row"><label for="is_bottom_yes"><?php _e('Bottom Position ?', 'myagileprivacy'); ?> </label></th>
                        <td>

							<?php
							if( $the_options['is_bottom'] == true ):
							?>
								<label><input type="radio" id="is_bottom_yes" name="is_bottom_field" class="" value="true" checked="checked"/><?php _e('Bottom', 'myagileprivacy'); ?></label>
							<?php
							else:
							?>
								<label><input type="radio" id="is_bottom_yes" name="is_bottom_field" class="" value="true" /><?php _e('Bottom', 'myagileprivacy'); ?></label>
							<?php
							endif;
							?>

							<?php
							if( $the_options['is_bottom'] == false ):
							?>
								<label><input type="radio" id="is_bottom_no" name="is_bottom_field" class="" value="false" checked="checked"/><?php _e('Top', 'myagileprivacy'); ?></label>
							<?php
							else:
							?>
								<label><input type="radio" id="is_bottom_no" name="is_bottom_field" class="" value="false" /><?php _e('Top', 'myagileprivacy'); ?></label>
							<?php
							endif;
							?>

                        </td>
                    </tr>

                    <tr valign="top">
                    	<th scope="row"><label for="bar_heading_text_field"><?php _e('Message Heading', 'myagileprivacy'); ?></label></th>
                        <td>
                            <input type="text" id="bar_heading_text_field" name="bar_heading_text_field" value="<?php echo esc_attr(stripslashes($the_options['bar_heading_text']))  ?>" />
                            <span class="map_form_help"><br><?php _e('Leave it blank, If you do not need a heading', 'myagileprivacy'); ?>
                            </span>
                        </td>
                    </tr>

                    <tr valign="top">
                        <th scope="row"><label for="notify_message_field"><?php _e('Message', 'myagileprivacy'); ?></label></th>
                        <td>
                            <?php
                            echo '<textarea id="notify_message_field" name="notify_message_field" class="text_style">';
                            echo apply_filters('format_to_edit', esc_attr(stripslashes($the_options['notify_message']))) . '</textarea>';
                            ?>
                            <br>
                            <label for="notify_message_field"><span class="map_form_help"><em>
                            	<?php _e('Example code:', 'myagileprivacy'); ?>
                            	<br>
                            	<textarea class="text_style" disabled><?php _e('<div class="map-area-container"><div class="map_notification-message">This website uses technical and profiling cookies. Clicking on "Accept" authorises all profiling cookies. Clicking on "Refuse" or the X will refuse all profiling cookies. By clicking on "Customise" you can select which profiling cookies to activate.[myagileprivacy_extra_info]</div><div class="map_notification_container">[myagileprivacy_cookie_accept][myagileprivacy_cookie_reject][myagileprivacy_cookie_customize]</div></div>', 'myagileprivacy'); ?></textarea></em></span></label>
                        </td>
                    </tr>
                    <tr valign="top">
                        <th scope="row"><label for="background_field"><?php _e('Cookie Bar Color', 'myagileprivacy'); ?></label></th>
                        <td>
                            <?php
                            echo wp_kses('<input type="text" id="background_field" name="background_field" value="' . esc_attr($the_options['background']) . '" class="wpColorPicker" data-default-color="#fff" />', MyAgilePrivacy::allowed_html_tags() );
                            ?>
                        </td>
                    </tr>
                    <tr valign="top">
                        <th scope="row"><label for="text_field"><?php _e('Text Color', 'myagileprivacy'); ?></label></th>
                        <td>
                            <?php
                            echo wp_kses('<input type="text" id="text_field" name="text_field" value="' . esc_attr($the_options['text']) . '" class="wpColorPicker" data-default-color="#000" />', MyAgilePrivacy::allowed_html_tags() );
                            ?>
                        </td>
                    </tr>



                    <tr valign="top">
                        <th scope="row"><label for="showagain_tab_field"><?php _e('Enable revisit consent widget', 'myagileprivacy'); ?></label></th>
                        <td>
                        	<input type="hidden" name="showagain_tab_field" value="false" id="showagain_tab_field_no">
                            <input name="showagain_tab_field" type="checkbox" value="true" id="showagain_tab_field" <?php checked($the_options['showagain_tab'], true); ?>>
                            <label for="showagain_tab_field"><span class="map_form_help"><?php echo esc_html__('Warning: if you disable this, add the proper link for consent revisit in the foote area, in order to stay GDPR compliant. You can use the [myagileprivacy_showconsent] shortcode.', 'myagileprivacy'); ?></span></label>
                        </td>
                    </tr>

                    <tr valign="top">
                        <th scope="row"><label for="notify_position_horizontal_field"><?php _e('Tab Position', 'myagileprivacy'); ?></label></th>
                        <td>

                            <select id="notify_position_horizontal_field" name="notify_position_horizontal_field" class="" style="max-width:100%;">
                                <?php

                                $valid_options = array(
                                	'right'	=>	array(  'label' => __('Right', 'myagileprivacy'),
                                											'selected' => false ),
                                	'left'	=>	array(  'label' => __('Left', 'myagileprivacy'),
                                											'selected' => false ),
                                );

                                $selected_value = $the_options['notify_position_horizontal'];

                                if( isset( $valid_options[ $selected_value ] ) )
                                {
                                	$valid_options[ $selected_value ]['selected'] = true;
                                }

                                foreach( $valid_options as $key => $data )
                                {
                                	if( $data['selected'] )
                                	{
	                                	?>
	                                	<option value="<?php echo esc_attr($key)?>" selected><?php echo esc_attr($data['label'])?></option>
	                                	<?php

                                	}
                                	else
                                	{
	                                	?>
	                                	<option value="<?php echo esc_attr($key)?>"><?php echo esc_attr($data['label'])?></option>
	                                	<?php
                                	}
                                }

                                ?>
                            </select>

                        </td>
                    </tr>


                    <tr valign="top" class="">
                        <th scope="row"><label for="with_css_effects_field"><?php _e('Enable shadows and rounding effects', 'myagileprivacy'); ?></label></th>
                        <td>
                            <input type="hidden" name="with_css_effects_field" value="false" id="with_css_effects_field_no">
                            <input name="with_css_effects_field" type="checkbox" value="true" id="with_css_effects_field" <?php checked($the_options['with_css_effects'], true); ?>>
                        </td>
                    </tr>

                    <tr valign="top">
                        <th scope="row"><label for="showagain_text"><?php _e('Title for show again policy', 'myagileprivacy'); ?></label></th>
                        <td>
                            <input type="text" id="showagain_text" name="showagain_text_field" value="<?php echo esc_attr( $the_options['showagain_text']) ?>" />
                        </td>
                    </tr>


                    <tr valign="top">
                        <th scope="row"><label for="cookie_policy_link_field"><?php _e('Show Cookie Policy link', 'myagileprivacy'); ?></label></th>
                        <td>
                        	<input type="hidden" name="cookie_policy_link_field" value="false" id="cookie_policy_link_field_no">
                            <input name="cookie_policy_link_field" type="checkbox" value="true" id="cookie_policy_link_field" <?php checked( $the_options['cookie_policy_link'], true); ?>>
                        </td>
                    </tr>


				</table>

		        <input type="submit" name="update_admin_settings_form" value="<?php _e('Update Settings', 'myagileprivacy'); ?>" class="button-primary" style="float:right;"  />
		    </form>

	        <?php

	        break;
	    endswitch; ?>
	    </div>

	</div>

	<div class="right_settings_bar">

		<?php

			$locale = $the_options['default_locale'];


			if( $the_options['pa'] == 1 )
			{
				if( $locale == 'it_IT')
				{
					echo '<a href="https://www.myagileprivacy.com/?utm_source=referral&utm_medium=plugin-pro&utm_campaign=backend" target="blank"><img class="responsive" src="'.plugin_dir_url( __FILE__ ).'../img/banner_pro_ita.png"></a>';
				}
				else
				{
					echo '<a href="https://www.myagileprivacy.com/?utm_source=referral&utm_medium=plugin-basic&utm_campaign=backend" target="blank"><img class="responsive" src="'.plugin_dir_url( __FILE__ ).'../img/banner_pro_eng.png"></a>';
				}
			}
			else
			{
				if( $locale == 'it_IT')
				{
					echo '<a href="https://www.myagileprivacy.com/?utm_source=referral&utm_medium=plugin-pro&utm_campaign=backend" target="blank"><img class="responsive" src="'.plugin_dir_url( __FILE__ ).'../img/banner_ita.png"></a>';
				}
				else
				{
					echo '<a href="https://www.myagileprivacy.com/?utm_source=referral&utm_medium=plugin-basic&utm_campaign=backend" target="blank"><img class="responsive" src="'.plugin_dir_url( __FILE__ ).'../img/banner_eng.png"></a>';
				}
			}

			if( $locale == 'it_IT')
			{
				$contextual_help_url = null;

				switch( $tab ) {
					case null:
						$contextual_help_url = "https://www.myagileprivacy.com/opzioni-del-plugin-impostazioni/";
						break;
					case 'advanced':
						$contextual_help_url = "https://www.myagileprivacy.com/opzioni-del-plugin-avanzate/";
						break;
					case 'backup':
						$contextual_help_url = "https://www.myagileprivacy.com/opzioni-del-plugin-backup-ripristino/";
						break;
					case 'buttons':
						$contextual_help_url = "https://www.myagileprivacy.com/opzioni-del-plugin-pulsanti/";
						break;
					case 'scanner':
						$contextual_help_url = "https://www.myagileprivacy.com/opzioni-del-plugin-cookie-shield/";
						break;
					case 'identity':
						$contextual_help_url = "https://www.myagileprivacy.com/opzioni-del-plugin-identita/";
						break;
					case 'policies':
						$contextual_help_url = "https://www.myagileprivacy.com/opzioni-del-plugin-policy/";
						break;
				}

				$installed_html = '';

				if( isset( $stats ) && $stats && $stats->active_installs )
				{
					$installed_html = '<br><b>'.$stats->active_installs.'+</b>';

					if( $locale == 'it_IT')
					{
						$installed_html .= ' installazioni attive';
					}
					else
					{
						$installed_html .= ' active installations';
					}
				}

				if( $contextual_help_url )
				{
					if( $the_options['pa'] == 1 )
					{
						echo '<div style="margin-top:30px;text-align:center;"><a href="'.$contextual_help_url.'?utm_source=referral&utm_medium=plugin-pro&utm_campaign=backend" target="blank"><img class="responsive" src="'.plugin_dir_url( __DIR__ ).'/img/help-banner-ita.png"></a>'.$installed_html.'</div>';
					}
					else
					{

						echo '<div style="margin-top:30px;text-align:center;"><a href="'.$contextual_help_url.'?utm_source=referral&utm_medium=plugin-basic&utm_campaign=backend" target="blank"><img class="responsive" src="'.plugin_dir_url( __DIR__ ).'/img/help-banner-ita.png"></a>'.$installed_html.'</div>';
					}

				}
			}

		?>


	</div>

  </div>

<?php
