MAP_INITTED = false;
MAP_DEBUG = false;

if(!( typeof MAP_JSCOOKIE_SHIELD !== 'undefined' && MAP_JSCOOKIE_SHIELD ) )
{
	MAP_POSTFIX = '';
	MAP_ACCEPTED_ALL_COOKIE_NAME = 'map_accepted_all_cookie_policy';
	MAP_ACCEPTED_SOMETHING_COOKIE_NAME = 'map_accepted_something_cookie_policy';
}

MAP_COOKIE_EXPIRE = 180;

if( !MAP_Cookie )
{
	var MAP_Cookie = {
		set: function (name, value, days) {
			try {
				if (days) {
					var date = new Date();
					date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
					var expires = "; expires=" + date.toGMTString();
				} else
					var expires = "";
				document.cookie = name + "=" + value + expires + "; path=/";
			}
	 		catch( e )
	 		{
				console.log( e );
				return null;
			}
		},
		read: function (name) {
			try {
				var nameEQ = name + "=";
				var ca = document.cookie.split(';');
				for (var i = 0; i < ca.length; i++) {
					var c = ca[i];
					while (c.charAt(0) == ' ') {
						c = c.substring(1, c.length);
					}
					if (c.indexOf(nameEQ) === 0) {
						return c.substring(nameEQ.length, c.length);
					}
				}
				return null;
			}
	 		catch( e )
	 		{
				console.log( e );
				return null;
			}
		},
		exists: function (name) {
			return (this.read(name) !== null);
		}
	};
}

var MAP =
{
	map_showagain_config:{},

	set:function( args )
	{
		if( this.initted )
		{
			if( MAP_DEBUG ) console.log( 'MAP already initted: exiting' );
			return;
		}

		if( MAP_DEBUG ) console.log( 'calling MAP set function' );

		if(typeof JSON.parse !== "function")
		{
			console.log("Error: My Agile Privacy requires JSON.parse but your browser lacks this support");
			return;
		}
		if(typeof args.settings!=='object')
		{
			this.settings = JSON.parse(args.settings);
		}
		else
		{
			this.settings = args.settings;
		}

		if( this.settings.scan_mode !== undefined &&
			this.settings.scan_mode == 'learning_mode' )
		{
			MAP_DEBUG = true;
		}

		if( this.settings.cookie_reset_timestamp !== undefined &&
			this.settings.cookie_reset_timestamp )
		{
			if(!( typeof MAP_JSCOOKIE_SHIELD !== 'undefined' && MAP_JSCOOKIE_SHIELD ) )
			{
				MAP_POSTFIX = '_' + this.settings.cookie_reset_timestamp;
				if( MAP_DEBUG ) console.log( 'MAP_POSTFIX=' + MAP_POSTFIX );
			}
		}

		if(!( typeof MAP_JSCOOKIE_SHIELD !== 'undefined' && MAP_JSCOOKIE_SHIELD ) )
		{
			MAP_ACCEPTED_ALL_COOKIE_NAME = MAP_ACCEPTED_ALL_COOKIE_NAME + MAP_POSTFIX;
			MAP_ACCEPTED_SOMETHING_COOKIE_NAME = MAP_ACCEPTED_SOMETHING_COOKIE_NAME + MAP_POSTFIX;
		}

		if( MAP_DEBUG && this.settings.cookie_reset_timestamp !== undefined &&
			this.settings.cookie_reset_timestamp )
		{
			console.log( 'using alt_accepted_all_cookie_name='+MAP_ACCEPTED_ALL_COOKIE_NAME );
			console.log( 'using alt_accepted_something_cookie_name='+MAP_ACCEPTED_SOMETHING_COOKIE_NAME );
		}

		this.blocked_content_notification_shown = false;

		this.bar_open = false;

		this.settings = args.settings;
		this.bar_elm = jQuery( this.settings.notify_div_id );
		this.showagain_elm = jQuery( "#" + this.settings.showagain_div_id );
		this.settingsModal = jQuery( '#mapSettingsPopup' );
		this.blocked_content_notification = jQuery( '#map-blocked-content-notification-area' );
		this.map_blocked_elems_desc = jQuery( '.map_blocked_elems_desc', this.blocked_content_notification );

		/* buttons */
		this.reject_link = jQuery( '.map-button map-reject-button' );
		this.main_button = jQuery( '.map-accept-button' );
		this.settings_button = jQuery( '.map-reject-button' );

		if( MAP_DEBUG ) console.log( this.settings );

		this.toggleBar();
		this.createInlineNotify();
		this.attachEvents();

		this.initted = true;
	},
	toggleBar:function()
	{
		if( MAP_DEBUG ) console.log( 'internal function toggleBar');

		if( !MAP_Cookie.exists( MAP_ACCEPTED_ALL_COOKIE_NAME ) && !MAP_Cookie.exists( MAP_ACCEPTED_SOMETHING_COOKIE_NAME ) )
		{
			this.displayBar();
		}
		else
		{
			this.hideBar();
		}

		jQuery( 'a.showConsent', this.showagain_elm ).click( function( e ){

			if( MAP_DEBUG ) console.log( 'triggered showConsent' );

			e.preventDefault();
			e.stopImmediatePropagation();

			MAP.showagain_elm.slideUp( 100, function(){
				MAP.bar_elm.slideDown( 100 );
			});
		});

		//bof user consent review trigger

		this.bar_elm.bind( 'triggerShowAgainDisplay', function( e ){

			if( MAP_DEBUG ) console.log( 'triggered triggerShowAgainDisplay' );

			e.preventDefault();
			e.stopImmediatePropagation();

			MAP.showagain_elm.slideUp( 100, function(){
				MAP.bar_elm.slideDown( 100 );
			});
		});

		jQuery( 'a.showConsentAgain').bind( 'click', function( e ){

			if( MAP_DEBUG ) console.log( 'triggered showConsentAgain' );

			e.preventDefault();
			e.stopImmediatePropagation();

			MAP.bar_elm.trigger( 'triggerShowAgainDisplay' );
		});

		//eof user consent review trigger

	},
	checkBlockedContent:function()
	{
		if( MAP_DEBUG ) console.log( 'internal function checkBlockedContent');

		//for preserving scope
		var that = this;

		if( that.blocked_content_notification.length )
		{
			var $map_blocked_content = jQuery( '.map_blocked_content:not(._is_activated)' );

			if( $map_blocked_content.length )
			{
				if( !that.bar_open || that.settings.show_ntf_bar_on_not_yet_consent_choice )
				{
					var blocked_friendly_name = [];

					$map_blocked_content.each( function(){

						var this_friendly_name = jQuery( this ).attr('data-friendly_name');

						if( this_friendly_name )
						{
							blocked_friendly_name.push( this_friendly_name );
						}
					});

					if( typeof CookieShield !== 'undefined' &&
						CookieShield &&
						typeof CookieShield.getDetectedFriendlyNames !== 'undefined' )
					{
						var other_names = CookieShield.getDetectedFriendlyNames();

						jQuery.each( other_names, function( i, v ){

							if( v )
							{
								blocked_friendly_name.push( v );
							}

						});
					}

					var blocked_friendly_name_unique = blocked_friendly_name.filter((v, i, a) => a.indexOf(v) === i);

					var blocked_friendly_name_string = blocked_friendly_name_unique.join( ', ' );

					if( blocked_friendly_name_string )
					{
						that.map_blocked_elems_desc.html( blocked_friendly_name_string );
					}
					else
					{
						that.map_blocked_elems_desc.slideDown( 100 );
					}

					that.blocked_content_notification_shown = true;

					var blocked_content_notify_auto_shutdown_time = 3000;

					//console.log( that.settings.blocked_content_notify_auto_shutdown_time );

					if( that.settings.blocked_content_notify_auto_shutdown_time )
					{
						blocked_content_notify_auto_shutdown_time = that.settings.blocked_content_notify_auto_shutdown_time;
					}

					setTimeout(function(){
						that.blocked_content_notification.slideDown( 100 );

						if( that.blocked_content_notification.hasClass( 'autoShutDown' ) )
						{
							setTimeout(function(){
								that.blocked_content_notification.slideUp( 100 );
							}, blocked_content_notify_auto_shutdown_time );
						}

					}, 1000 );
				}
			}
			else
			{
				this.blocked_content_notification.slideUp( 100 );
			}
		}

	},
	displayBar:function()
	{
		if( MAP_DEBUG ) console.log( 'internal function displayBar');

		//for preserving scope
		var that = this;

		that.showagain_elm.slideUp( 100 );
		that.bar_elm.slideDown( 100 );

		that.bar_open = true;
	},
	hideBar:function()
	{
		if( MAP_DEBUG ) console.log( 'internal function hideBar');

		if( Boolean( this.settings.showagain_tab ) )
		{
			//show
			this.showagain_elm.slideDown( 100 );
		}
		else
		{
			//hide
			this.showagain_elm.slideUp( 100 );
		}

		//hide
		this.bar_elm.slideUp( 100 );
		this.bar_open = false;
	},
	createInlineNotify:function()
	{
		if( MAP_DEBUG ) console.log( 'internal function createInlineNotify');

		//for preserving scope
		var that = this;

		var $map_blocked_content = jQuery( '.map_blocked_content' );

		$map_blocked_content.each(function(){

			var $this = jQuery( this );
			var api_key = $this.attr( 'data-cookie-api-key' );

			var $custom_ref = jQuery( '.map_custom_notify.map_api_key_' + api_key );

			if( $custom_ref.length )
			{
				$custom_ref.show();
			}

		});

		var $show_inline_notify = jQuery( '.iframe_src_blocked.map_show_inline_notify' );

		$show_inline_notify.each(function(){

			var $this = jQuery( this );
			var height = $this.height();
			var width = $this.width();
			var api_key = $this.attr( 'data-cookie-api-key' );

			var the_friendly_name = '';
			var friendly_name = $this.attr( 'data-friendly_name' );

			if( friendly_name )
			{
				the_friendly_name = friendly_name;
			}

			$this.hide();

			var html = "<div class='map_inline_notify' data-cookie-api-key='"+api_key+"'>"+that.settings.blocked_content_text+"<br>"+the_friendly_name+"</div>";
			var $injected = jQuery( html ).insertAfter( $this );

			if( height > 0 )
			{
				$injected.height( height );
			}

			if( width > 0 )
			{
				$injected.width( width );
			}

			if( that.settings.inline_notify_color )
			{
				$injected.css({'color':that.settings.inline_notify_color});
			}

			if( that.settings.inline_notify_background )
			{
				$injected.css({'background':that.settings.inline_notify_background});
			}

		});
	},
	attachEvents:function()
	{
		if( MAP_DEBUG ) console.log( 'internal function attachEvents');

		//for preserving scope
		var that = this;

		jQuery( '.map-accept-button' ).click( function( e ){

			if( MAP_DEBUG ) console.log( 'triggered map-accept-button click' );

			e.preventDefault();
			e.stopImmediatePropagation();

			var $this = jQuery( this );

			if( MAP_DEBUG ) console.log( 'pressed accept' );

			MAP.accept_close();

		});

		jQuery( '.map-reject-button' ).click( function( e ){

			if( MAP_DEBUG ) console.log( 'triggered map-reject-button click' );

			e.preventDefault();
			e.stopImmediatePropagation();

			var $this = jQuery( this );

			if( MAP_DEBUG ) console.log( 'pressed reject' );

			MAP.reject_close();
		});


		jQuery( '.map-customize-button' ).bind( 'click', function( e ){

			if( MAP_DEBUG ) console.log( 'triggered map-customize-button click' );

			e.preventDefault();
			e.stopImmediatePropagation();

			MAP.settingsModal.addClass( 'map-show' ).css({'opacity':0}).animate({'opacity':1});
			MAP.settingsModal.removeClass( 'map-blowup map-out' ).addClass("map-blowup");
			jQuery( 'body' ).addClass( 'map-modal-open' );
			jQuery( '.map-settings-overlay' ).addClass( 'map-show' );
			jQuery( '#cookie-law-info-bar' ).css({'opacity':.1});
			if(!jQuery( '.map-settings-mobile' ).is( ':visible' ))
			{
				MAP.settingsModal.find( '.map-nav-link:eq(0)' ).click();
			}
		});

		jQuery( '#mapModalClose' ).click( function( e ){

			if( MAP_DEBUG ) console.log( 'triggered mapModalClose click' );

			e.preventDefault();
			e.stopImmediatePropagation();

			MAP.closeSettingsPopup();
			MAP.hideBar();

		});

		this.setupAccordion();
		this.userPreferenceInit();
	},
	accept_close:function()
	{
		if( MAP_DEBUG ) console.log( 'internal function accept_close');

		MAP_Cookie.set( MAP_ACCEPTED_ALL_COOKIE_NAME, '1', MAP_COOKIE_EXPIRE );

		this.bar_elm.slideUp( 100 );

		if( Boolean( this.settings.showagain_tab ) )
		{
			this.showagain_elm.slideDown( 100 );
		}

		//set all to checked
		jQuery( '.map-user-preference-checkbox' ).each( function(){

			var $this = jQuery( this );

			var cookieName = 'map_cookie_' + $this.attr( 'data-cookie-baseindex' ) + MAP_POSTFIX;

			var dataID = jQuery(this).attr( 'data-id' );
			var currentToggleElm = jQuery( '.map-user-preference-checkbox[data-cookie-baseindex='+$this.attr( 'data-cookie-baseindex' )+']' );

			if( MAP_DEBUG ) console.log( 'setting 1 to ' + cookieName );

			MAP_Cookie.set( cookieName, '1', MAP_COOKIE_EXPIRE );
			currentToggleElm.prop('checked',true);

		});

		this.tryToUnblockScripts();

		return false;
	},
	reject_close:function()
	{
		//for preserving scope
		var that = this;

		if( MAP_DEBUG ) console.log( 'internal function reject_close' );

		MAP_Cookie.set( MAP_ACCEPTED_ALL_COOKIE_NAME, '-1', MAP_COOKIE_EXPIRE );

		this.bar_elm.slideUp( 100 );

		this.bar_open = false;

		if( Boolean( this.settings.showagain_tab ) )
		{
			this.showagain_elm.slideDown(this.settings.animate_speed_show);
		}

		//set all to unchecked

		jQuery( '.map-user-preference-checkbox' ).each( function(){

			var $this = jQuery( this );

			var cookieName = 'map_cookie_' + $this.attr( 'data-cookie-baseindex' ) + MAP_POSTFIX;

			var dataID = jQuery(this).attr( 'data-id' );
			var currentToggleElm = jQuery( '.map-user-preference-checkbox[data-cookie-baseindex='+$this.attr( 'data-cookie-baseindex' )+']' );

			MAP_Cookie.set( cookieName, '-1', MAP_COOKIE_EXPIRE );
			currentToggleElm.prop( 'checked', false );

		});

		setTimeout(function(){
			that.checkBlockedContent();
		},200);

		return false;
	},

	tryToUnblockScripts:function()
	{
		if( MAP_DEBUG ) console.log( 'tryToUnblockScripts' );

		//for preserving scope
		var that = this;

		var $map_cookie_description_wrapper = jQuery( '.map_cookie_description_wrapper' );

		$map_cookie_description_wrapper.each( function(){

			var $this = jQuery( this );

			var baseIndex = $this.attr( 'data-cookie-baseindex' );
			var cookieName = 'map_cookie_' + baseIndex + MAP_POSTFIX;
			var api_key = $this.attr( 'data-cookie-api-key' );

			//console.log( 'try to process ' + api_key );

			if( !$this.hasClass( '_is_activated' ) )
			{
				var cookieValue = MAP_Cookie.read( cookieName );

				if( MAP_DEBUG ) console.log( 'debug ' + api_key + ' ' + cookieName + ' ' + cookieValue );

				if( cookieValue == "1" ||
					$this.hasClass( '_always_on' ) ||
					( MAP_Cookie.exists( MAP_ACCEPTED_ALL_COOKIE_NAME ) && MAP_Cookie.read( cookieName ) == '1' ) )
				{
					if( MAP_DEBUG ) console.log( '-->activating ' + api_key + ' ' + cookieName + ' ' + cookieValue );

					$this.addClass( '_is_activated' );

					if( $this.hasClass( '_with_code' ) )
					{
						var $the_script = jQuery( 'script.my_agile_privacy_activate._js_noscript_type_mode[data-cookie-baseindex="'+baseIndex+'"]' );

						var $the_raw_script = jQuery( 'textarea.my_agile_privacy_activate._raw_type_mode[data-cookie-baseindex="'+baseIndex+'"]' );

						if( $the_script.length )
						{
							$the_script.addClass( '_is_activated' );

							var script = document.createElement( 'script' );
							script.className = '_is_activated';
							script.innerHTML = $the_script[0].innerHTML;
							document.head.appendChild( script );
						}

						if( $the_raw_script.length )
						{
							$the_raw_script.addClass( '_is_activated' );

							var the_raw_script = $the_raw_script.val();

							jQuery( "body" ).append( the_raw_script );
						}
					}

					if( api_key )
					{
						//bof custom notify
						var $custom_ref = jQuery( '.map_custom_notify.map_api_key_' + api_key );
						if( $custom_ref.length )
						{
							var on_unblock_remove_class = $custom_ref.attr( 'data-on-unblock-remove-class' );

							if( on_unblock_remove_class )
							{
								var $the_blocked_content = jQuery( '.my_agile_privacy_activate[data-cookie-api-key="'+api_key+'"]' );

								$the_blocked_content.removeClass( on_unblock_remove_class );
							}

							$custom_ref.remove();
						}
						//eof custom notify


						var $map_src_script_blocked = jQuery( 'script.my_agile_privacy_activate.autoscan_mode.map_src_script_blocked[data-cookie-api-key="'+api_key+'"]' );

						var $script_js_shield_blocked = jQuery( 'script[data-cookie-api-key="'+api_key+'"]');

						var $map_inline_script_blocked = jQuery( 'script.my_agile_privacy_activate.autoscan_mode.map_inline_script_blocked[data-cookie-api-key="'+api_key+'"]' );

						var $iframe_src_blocked = jQuery( 'iframe.my_agile_privacy_activate.autoscan_mode.iframe_src_blocked[data-cookie-api-key="'+api_key+'"]' );

						var $css_href_blocked = jQuery( 'link.my_agile_privacy_activate.autoscan_mode.css_href_blocked[data-cookie-api-key="'+api_key+'"]' );

						var $img_src_blocked = jQuery( 'img.my_agile_privacy_activate.autoscan_mode.img_src_blocked[data-cookie-api-key="'+api_key+'"]' );


						if( $script_js_shield_blocked && $script_js_shield_blocked.length )
						{
							$script_js_shield_blocked.each( function(){

								var $_this = jQuery( this );

								$_this.addClass( '_is_activated' );

								if( $_this.hasClass( 'mapWait' ) )
								{
									setTimeout(function(){
										var script = document.createElement( 'script' );
										script.className = '_is_activated';

										var blocked_src = $_this.attr( 'shield-blocked-src' );

										if( blocked_src )
										{
											script.src = blocked_src;
										}

										document.head.appendChild( script );
									}, 2000);
								}
								else
								{
									var script = document.createElement( 'script' );
									script.className = '_is_activated';

									var blocked_src = $_this.attr( 'shield-blocked-src' );

									if( blocked_src )
									{
										script.src = blocked_src;
									}

									document.head.appendChild( script );
								}
							});
						}

						if( $map_src_script_blocked && $map_src_script_blocked.length )
						{
							$map_src_script_blocked.each( function(){

								var $_this = jQuery( this );

								$_this.addClass( '_is_activated' );

								if( $_this.hasClass( 'mapWait' ) )
								{
									setTimeout(function(){
										var script = document.createElement( 'script' );
										script.className = '_is_activated';

										var blocked_src = $_this.attr( 'unblocked_src' );

										if( blocked_src )
										{
											script.src = blocked_src;
										}

										document.head.appendChild( script );
									}, 2000);
								}
								else
								{
									var script = document.createElement( 'script' );
									script.className = '_is_activated';

									var blocked_src = $_this.attr( 'unblocked_src' );

									if( blocked_src )
									{
										script.src = blocked_src;
									}

									document.head.appendChild( script );
								}

								if( $_this.hasClass( 'custom_patch_apply' ) )
								{
									var classes = $_this.attr( 'class' ).split( ' ' );

									jQuery.each( classes, function( i, v ){

										if( v &&
											v != '' &&
											v.startsWith( 'map_trigger_custom_patch_' ) &&
											typeof window[ v ]  === 'function' )
										{
											setTimeout(function(){
												window[ v ]();
											}, 4000);
										}

									});
								}

							});
						}

						if( $map_inline_script_blocked && $map_inline_script_blocked.length )
						{
							$map_inline_script_blocked.each( function(){

								var $_this = jQuery( this );

								$_this.addClass( '_is_activated' );

								if( $_this.hasClass( 'mapWait' ) )
								{
									setTimeout(function(){
										var script = document.createElement( 'script' );
										script.className = '_is_activated';
										script.innerHTML = $_this[0].innerHTML;
										document.head.appendChild( script );
									}, 2000);
								}
								else
								{
									var script = document.createElement( 'script' );
									script.className = '_is_activated';
									script.innerHTML = $_this[0].innerHTML;
									document.head.appendChild( script );
								}

								if( $_this.hasClass( 'custom_patch_apply' ) )
								{
									var classes = $_this.attr( 'class' ).split( ' ' );

									jQuery.each( classes, function( i, v ){

										if( v &&
											v != '' &&
											v.startsWith( 'map_trigger_custom_patch_' ) &&
											typeof window[ v ]  === 'function' )
										{
											setTimeout(function(){
												window[ v ]();
											}, 4000);
										}

									});
								}

							});
						}

						if( $iframe_src_blocked && $iframe_src_blocked.length )
						{
							$iframe_src_blocked.each( function(){

								var $_this = jQuery( this );

								$_this.addClass( '_is_activated' );

								$_this.attr( 'src', $_this.attr( 'unblocked_src' ) );

								$_this.show();

								var $ref = jQuery('.map_inline_notify[data-cookie-api-key="'+api_key+'"]');

								if( $ref.length )
								{
									$ref.remove();
								}

							});
						}

						if( $css_href_blocked && $css_href_blocked.length )
						{
							$css_href_blocked.each( function(){

								var $_this = jQuery( this );

								$_this.addClass( '_is_activated' );

								$_this.attr( 'href', $_this.attr( 'unblocked_href' ) );

							});
						}

						if( $img_src_blocked && $img_src_blocked.length )
						{
							$img_src_blocked.each( function(){

								var $_this = jQuery( this );

								$_this.addClass( '_is_activated' );

								$_this.attr( 'src', $_this.attr( 'unblocked_src' ) );

							});
						}
					}
				}
			}
			else
			{
				//still active ?
				var cookieValue = MAP_Cookie.read( cookieName );

				if( cookieValue == "-1" )
				{
					$this.removeClass( '_is_activated' );

					if( $this.addClass( '_with_code' ) )
					{
						//no further action
					}
				}
			}
		});

		setTimeout( function(){
			that.checkBlockedContent();
		},500);


		setTimeout( function(){
			jQuery( 'body' ).trigger( 'MAP_PRIVACY_CHANGE' );
		},100);
	},
	userPreferenceInit:function()
	{
		if( MAP_DEBUG ) console.log( 'userPreferenceInit' );

		//for preserving scope
		var that = this;

		jQuery( '.map-user-preference-checkbox' ).each( function(){

			var $this = jQuery( this );

			var cookieName = 'map_cookie_' + $this.attr( 'data-cookie-baseindex' ) + MAP_POSTFIX;

			var cookieValue = MAP_Cookie.read( cookieName );
			if( cookieValue == null )
			{
				if( jQuery( this ).is( ':checked' ) )
				{
					if( MAP_DEBUG ) console.log( 'setting 1 to ' + cookieName );

					MAP_Cookie.set( cookieName, '1', MAP_COOKIE_EXPIRE );
				}else
				{
					if( MAP_DEBUG ) console.log( 'setting -1 to ' + cookieName );

					MAP_Cookie.set( cookieName, '-1', MAP_COOKIE_EXPIRE );
				}
			}
			else
			{
				if( cookieValue == "1" )
				{
					if( MAP_DEBUG ) console.log( 'setting checked for ' + cookieName );

					jQuery( this ).prop( 'checked', true );
				}
				else
				{
					if( MAP_DEBUG ) console.log( 'setting unchecked for ' + cookieName );

					jQuery( this ).prop( 'checked', false );
				}
			}

		});

		//click event
		jQuery( '.map-user-preference-checkbox' ).click( function( e ){

			if( MAP_DEBUG ) console.log( 'triggered map-user-preference-checkbox click' );

			e.stopImmediatePropagation();

			var $this = jQuery( this );

			var cookieName = 'map_cookie_' + $this.attr( 'data-cookie-baseindex' ) + MAP_POSTFIX;

			var dataID = jQuery( this ).attr( 'data-id' );
			var currentToggleElm = jQuery( '.map-user-preference-checkbox[data-cookie-baseindex='+$this.attr( 'data-cookie-baseindex' )+']' );

			if( $this.is( ':checked' ) )
			{
				if( MAP_DEBUG ) console.log( 'setting 1 to ' + cookieName );

				MAP_Cookie.set( cookieName, '1', MAP_COOKIE_EXPIRE );
				currentToggleElm.prop( 'checked', true );
			}else
			{
				if( MAP_DEBUG ) console.log( 'setting -1 to ' + cookieName );

				MAP_Cookie.set( cookieName, '-1', MAP_COOKIE_EXPIRE );
				currentToggleElm.prop( 'checked', false );
			}

			MAP_Cookie.set( MAP_ACCEPTED_SOMETHING_COOKIE_NAME, '1', MAP_COOKIE_EXPIRE );

			that.tryToUnblockScripts();

		});

		this.tryToUnblockScripts();

	},
	setupAccordion:function()
	{
		if( MAP_DEBUG ) console.log( 'setupAccordion' );

		jQuery( '.map_expandItem' ).on( 'click', function( e ){

			if( MAP_DEBUG ) console.log( 'triggered map_expandItem click' );

			e.preventDefault();
			e.stopImmediatePropagation();

			if( MAP_DEBUG ) console.log( '.map-tab-header click' );

			if (jQuery( this ).parent().hasClass( 'map-tab-active' ) )
			{
				jQuery( this ).parent().removeClass( 'map-tab-active' );
				jQuery( this ).parent().siblings( '.map-tab-content' ).slideUp( 200 );
			}
			else
			{
				jQuery( '.map-tab-header' ).removeClass( 'map-tab-active' );
				jQuery( this ).parent().addClass( 'map-tab-active' );
				jQuery( '.map-tab-content' ).slideUp( 200 );
				jQuery( this ).parent().siblings( '.map-tab-content' ).slideDown( 200 );
			}

		  });
	},
	closeSettingsPopup:function()
	{
		if( MAP_DEBUG ) console.log( 'closeSettingsPopup');

		this.settingsModal.removeClass( 'map-show' );
		this.settingsModal.addClass( 'map-out' );
		jQuery( 'body' ).removeClass( 'map-modal-open');
		jQuery( '.map-settings-overlay' ).removeClass( 'map-show' );
		jQuery( '#cookie-law-info-bar' ).css({'opacity':1});
	},
	sendDetectedKeys:function( key )
	{
		if( typeof CookieShield !== 'undefined' &&
			CookieShield )
		{
			var detectableKeys = CookieShield.getDetectableKeys();
			//console.log( detectableKeys );

			if( detectableKeys && detectableKeys.length > 0 && map_ajax )
			{
				if( key )
				{
				    var data = {
				        action: 'map_remote_save_detected_keys',
				        key : key,
				        detectableKeys: detectableKeys.join(',')
				    };
				}
				else
				{
				    var data = {
				        action: 'map_save_detected_keys',
				        security : map_ajax.security,
				        detectableKeys: detectableKeys.join(',')
				    };
				}

			    jQuery.post( map_ajax.ajax_url, data, function( response ) {
			        //console.log( response );
			    });
			}
		}
	},
	//inspect cookie script configuration
	debugCookieScripts:function()
	{
		var list = [];

		var $scripts = jQuery( 'script.my_agile_privacy_activate._js_noscript_type_mode, textarea.my_agile_privacy_activate._raw_type_mode' );

		$scripts.each( function(){

			var $this = jQuery( this );
			var cookie_name = $this.attr( 'data-cookie-name' );
			var cookie_api_key = $this.attr( 'data-cookie-api-key' );

			var code = null;
			var mode = null;

			if( $this.hasClass( '_js_noscript_type_mode' ) )
			{
				mode = 'js_noscript';
				code = $this[0].innerHTML;
			}

			if( $this.hasClass( '_raw_type_mode' ) )
			{
				mode = 'raw';
				code = $this[0].firstChild.nodeValue;
			}

			var object = {
				'cookie_name' 		: cookie_name,
				'cookie_api_key' 	: cookie_api_key,
				'mode' 				: mode,
				'code' 				: code
			};

			list.push( object );

		});

		return list;
	},

	//get list of available cookies
	getAvailableCookieList:function()
	{
		var list = [];

		var $my_agile_privacy_activated = jQuery( '.map_cookie_description_wrapper' );
		$my_agile_privacy_activated.each( function(){

			var $this = jQuery( this );
			var cookie_name = $this.attr( 'data-cookie-name' );
			var cookie_api_key = $this.attr( 'data-cookie-api-key' );

			if( cookie_api_key )
			{
				list.push( cookie_api_key );
			}
			else
			{
				list.push( cookie_name );
			}

		});

		return list;
	},
	//get list of activated cookies
	getActivatedCookiesList:function()
	{
		var list = [];

		var $my_agile_privacy_activated = jQuery( '.map_cookie_description_wrapper._is_activated' );
		$my_agile_privacy_activated.each( function(){

			var $this = jQuery( this );
			var cookie_name = $this.attr( 'data-cookie-name' );
			var cookie_api_key = $this.attr( 'data-cookie-api-key' );

			if( cookie_api_key )
			{
				list.push( cookie_api_key );
			}
			else
			{
				list.push( cookie_name );
			}

		});

		return list;
	},
	//get list of disactivated cookies
	getDisactivatedCookiesList:function()
	{
		var list = [];

		var $my_agile_privacy_activated = jQuery( '.map_cookie_description_wrapper:not(._is_activated' );
		$my_agile_privacy_activated.each( function(){

			var $this = jQuery( this );
			var cookie_name = $this.attr( 'data-cookie-name' );
			var cookie_api_key = $this.attr( 'data-cookie-api-key' );

			if( cookie_api_key )
			{
				list.push( cookie_api_key );
			}
			else
			{
				list.push( cookie_name );
			}

		});

		return list;
	}
}

jQuery( document ).ready( function() {

	if( !window === window.parent )
	{
		console.log(' prevent run on iframe' );
		return false;
	}

	if( typeof map_cookiebar_settings !== undefined )
	{
		MAP_INITTED = true;

		if( MAP_DEBUG ) console.log( 'initting' );

		MAP.set({
		  settings : map_cookiebar_settings
		});
	}

	setTimeout(function(){

		if( !window === window.parent )
		{
			console.log(' prevent run on iframe' );
			return false;
		}

		if( !MAP_INITTED )
		{
			MAP_INITTED = true;

			if( MAP_DEBUG ) console.log( 'initting' );

			try {
				MAP.set({
				  settings : map_cookiebar_settings
				});

			}
			catch (error)
			{
			  console.error(error);
			}
		}

	}, 3000 );

});

jQuery( window ).on( 'load', function() {

	if( !window === window.parent )
	{
		console.log(' prevent run on iframe' );
		return false;
	}

	if( !MAP_INITTED )
	{
		MAP_INITTED = true;

		if( MAP_DEBUG ) console.log( 'initting' );

		try {
			MAP.set({
			  settings : map_cookiebar_settings
			});

		}
		catch (error)
		{
		  console.error(error);
		}
	}

	if( typeof CookieShield !== 'undefined' &&
		CookieShield &&
		MAP
	)
	{
		if(
			map_ajax &&
			MAP.settings &&
			(
				(
				 MAP.settings.scan_mode &&
				 MAP.settings.scan_mode == 'learning_mode'
				) ||
				(
					map_ajax.force_js_learning_mode == 1
				)
			)
		)
		{
			MAP.sendDetectedKeys( null );
		}

		if( typeof URLSearchParams !== 'undefined' &&
			URLSearchParams )
		{
			var queryString = window.location.search;

			if( queryString )
			{
				var urlParams = new URLSearchParams( queryString );

				var auto_activate_cookies_with_key = urlParams.get( 'auto_activate_cookies_with_key' )
				if( auto_activate_cookies_with_key )
				{
					MAP.sendDetectedKeys( auto_activate_cookies_with_key );
				}
			}
		}
	}
});

//f. for dom element recreating and previous event removal
function internalRecreateNode( el, withChildren ){
  try {
	  if (withChildren) {
	    el.parentNode.replaceChild(el.cloneNode(true), el);
	  }
	  else {
	    var newEl = el.cloneNode(false);
	    while (el.hasChildNodes()) newEl.appendChild(el.firstChild);
	    el.parentNode.replaceChild(newEl, el);
	  }
	} catch (e) {
		console.log( e );
	}
}

//wpcf7
function map_trigger_custom_patch_1()
{
	console.log( 'map_trigger_custom_patch_1' );

	try {
		internalRecreateNode( document.querySelector('form.wpcf7-form'), true );
	}
	catch (e) {
		console.log( e );
	}

	const c = new CustomEvent("DOMContentLoaded", {
	});
	document.dispatchEvent(c);

	try {
		wpcf7.submit = null;
	} catch (e) {
		console.log( e );
	}
}

//avia maps
function map_trigger_custom_patch_2()
{
	console.log( 'map_trigger_custom_patch_2' );

	jQuery( '.av_gmaps_confirm_link.av_text_confirm_link.av_text_confirm_link_visible' ).trigger( 'click' );
}

//page reload
/*
function map_trigger_custom_patch_3()
{
	console.log( 'map_trigger_custom_patch_3' );

	location.reload();
}
*/